Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision a11089586776706fa138c97bce3370e4733ae046)
+++ general/prog/vala.xml	(revision 565321febdfc9fbd5f88906f0ff4a9d7b762f274)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "4439111cd733c9205b54a701c331fa3b">
+  <!ENTITY vala-md5sum        "9ed477d245aa9e2b0a4dee4a85dc24e2">
   <!ENTITY vala-size          "3.2 MB">
-  <!ENTITY vala-buildsize     "135 MB (with tests)">
-  <!ENTITY vala-time          "1.0 SBU (Using parallelism=4; with tests)">
+  <!ENTITY vala-buildsize     "169 MB (add 9 MB for tests)">
+  <!ENTITY vala-time          "0.5 SBU (Using parallelism=4; add 1.5 SBU for tests)">
 ]>
 
@@ -73,5 +73,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -83,5 +83,5 @@
       </listitem>
     </itemizedlist>
-
+-->
     <bridgehead renderas="sect3">Vala Dependencies</bridgehead>
 
@@ -114,5 +114,5 @@
     <para>Install <application>Vala</application> by running the following
     commands:</para>
-
+<!--
     <note>
       <para>If the recommended dependency <xref linkend="graphviz"/> is not
@@ -125,5 +125,5 @@
 ACLOCAL= autoreconf -fiv</userinput></screen>
     </note>
-
+-->
 <screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
@@ -138,4 +138,14 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>--disable-valadoc</option>: This option is
+      required if <xref linkend="graphviz"/> is not installed.
+    </para>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a11089586776706fa138c97bce3370e4733ae046)
+++ introduction/welcome/changelog.xml	(revision 565321febdfc9fbd5f88906f0ff4a9d7b762f274)
@@ -45,4 +45,16 @@
       <para>March 10th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vala-0.44.0. Fixes
+          <ulink url="&blfs-ticket-root;11784">#11784</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to fuse3-3.4.2. Fixes
+          <ulink url="&blfs-ticket-root;11783">#11783</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nghttp2-1.37.0. Fixes
+          <ulink url="&blfs-ticket-root;11779">#11778</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to xprop-1.2.4. Fixes
Index: networking/netlibs/nghttp2.xml
===================================================================
--- networking/netlibs/nghttp2.xml	(revision a11089586776706fa138c97bce3370e4733ae046)
+++ networking/netlibs/nghttp2.xml	(revision 565321febdfc9fbd5f88906f0ff4a9d7b762f274)
@@ -7,5 +7,5 @@
   <!ENTITY nghttp2-download-http "https://github.com/nghttp2/nghttp2/releases/download/v&nghttp2-version;/nghttp2-&nghttp2-version;.tar.xz">
   <!ENTITY nghttp2-download-ftp  " ">
-  <!ENTITY nghttp2-md5sum        "f2ef3dd1e9fc6dc29fcdd4a465ebc020">
+  <!ENTITY nghttp2-md5sum        "dc7536d02aa7d4883c20eaf637747381">
   <!ENTITY nghttp2-size          "1.6 MB">
   <!ENTITY nghttp2-buildsize     "17 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision a11089586776706fa138c97bce3370e4733ae046)
+++ packages.ent	(revision 565321febdfc9fbd5f88906f0ff4a9d7b762f274)
@@ -50,5 +50,5 @@
 <!ENTITY btrfs-progs-version          "4.20.2">
 <!ENTITY dosfstools-version           "4.1">
-<!ENTITY fuse3-version                "3.4.1">
+<!ENTITY fuse3-version                "3.4.2">
 <!ENTITY fuse2-version                "2.9.7">
 <!ENTITY jfsutils-version             "1.1.15">
@@ -348,6 +348,6 @@
 <!ENTITY tcl-version                  "8.6.9">
 <!ENTITY tk-version                   "8.6.9">
-<!ENTITY vala-major-version           "0.42">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.6">
+<!ENTITY vala-major-version           "0.44">  <!-- even minors only -->
+<!ENTITY vala-version                 "&vala-major-version;.0">
 <!ENTITY valgrind-version             "3.14.0">
 <!ENTITY yasm-version                 "1.3.0">
@@ -592,5 +592,5 @@
 <!ENTITY libtirpc-version             "1.1.4">
 <!ENTITY neon-version                 "0.30.2">
-<!ENTITY nghttp2-version              "1.36.0">
+<!ENTITY nghttp2-version              "1.37.0">
 <!ENTITY rpcsvc-proto-version         "1.4">
 <!ENTITY serf-version                 "1.3.9">
Index: postlfs/filesystems/fuse3.xml
===================================================================
--- postlfs/filesystems/fuse3.xml	(revision a11089586776706fa138c97bce3370e4733ae046)
+++ postlfs/filesystems/fuse3.xml	(revision 565321febdfc9fbd5f88906f0ff4a9d7b762f274)
@@ -7,7 +7,7 @@
   <!ENTITY fuse3-download-http "https://github.com/libfuse/libfuse/releases/download/fuse-&fuse3-version;/fuse-&fuse3-version;.tar.xz">
   <!ENTITY fuse3-download-ftp  " ">
-  <!ENTITY fuse3-md5sum        "68eac68b19997bea69c4d94f110003f0">
+  <!ENTITY fuse3-md5sum        "8408813fc357ca2dada73c7992dc7ca3">
   <!ENTITY fuse3-size          "1.0 MB">
-  <!ENTITY fuse3-buildsize     "20 MB">
+  <!ENTITY fuse3-buildsize     "13 MB">
   <!ENTITY fuse3-time          "less than 0.1 SBU">
 ]>