Index: general/prog/autoconf213.xml
===================================================================
--- general/prog/autoconf213.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ general/prog/autoconf213.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/pnmixer.xml
===================================================================
--- multimedia/audioutils/pnmixer.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ multimedia/audioutils/pnmixer.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/nfs-utils.xml
===================================================================
--- networking/netprogs/nfs-utils.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ networking/netprogs/nfs-utils.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -35,5 +35,5 @@
     network.</para>
 
-    &lfs7a_built;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/rpcbind.xml
===================================================================
--- networking/netprogs/rpcbind.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ networking/netprogs/rpcbind.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -34,5 +34,5 @@
     of Network File System (NFS) shared directories. </para>
 
-    &lfs7a_built;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/rsync.xml
===================================================================
--- networking/netprogs/rsync.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ networking/netprogs/rsync.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -34,5 +34,5 @@
     file archives over a network.</para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/wm/fluxbox.xml
===================================================================
--- x/wm/fluxbox.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ x/wm/fluxbox.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -34,5 +34,5 @@
     manager.</para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/wm/icewm.xml
===================================================================
--- x/wm/icewm.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ x/wm/icewm.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -36,5 +36,5 @@
     speed, simplicity, and not getting in the user&apos;s way.</para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ xsoft/graphweb/firefox.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/rxvt-unicode.xml
===================================================================
--- xsoft/other/rxvt-unicode.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ xsoft/other/rxvt-unicode.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -34,5 +34,5 @@
     emulator which includes support for XFT and Unicode.</para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision 8d99d8a4414760ec24c14364911f176c368d4cc6)
+++ xsoft/other/xscreensaver.xml	(revision 568427f2c8367155ebc166cf91db8f4858d0b5c0)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>