Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/genlib/glib2.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -97,6 +97,6 @@
     <bridgehead renderas="sect4">Additional Runtime Dependencies</bridgehead>
     <para role="recommended">
-      <xref linkend="gobject-introspection"/> (should be installed before
-      gtk+, atk, etc.)
+      <xref role="runtime" linkend="gobject-introspection"/>
+      (should be installed before gtk+, atk, etc.)
     </para>
     <para role="optional">
@@ -106,6 +106,6 @@
       <command>update-desktop-database</command> utilities</quote>,
       which are part of
-      <xref linkend="shared-mime-info"/> and
-      <xref linkend="desktop-file-utils"/>, respectively.
+      <xref role="runtime" linkend="shared-mime-info"/> and
+      <xref role="runtime" linkend="desktop-file-utils"/>, respectively.
     </para>
 
Index: general/graphlib/graphite2.xml
===================================================================
--- general/graphlib/graphite2.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/graphlib/graphite2.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -115,5 +115,5 @@
     <bridgehead renderas="sect4">Optional (at runtime)</bridgehead>
     <para role="optional">
-      You will need at least one suitable <ulink
+      You will need at least one suitable <ulink role="runtime"
       url="http://scripts.sil.org/cms/scripts/page.php?site_id=projects&amp;item_id=graphite_fonts">graphite font</ulink>
       for the package to be useful.
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/graphlib/harfbuzz.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -77,8 +77,8 @@
     <para role="recommended">
       <xref linkend="glib2"/> (required for Pango),
-      <xref linkend="icu"/> and
+      <xref linkend="icu"/>, and
       <xref linkend="freetype2"/>
-      (after <xref linkend="harfbuzz"/> is installed, reinstall
-      <xref linkend="freetype2"/>)
+      (after <xref role="nodep" linkend="harfbuzz"/> is installed, reinstall
+      <xref role="nodep" linkend="freetype2"/>)
     </para>
 
Index: general/graphlib/newt.xml
===================================================================
--- general/graphlib/newt.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/graphlib/newt.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -84,5 +84,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="gpm"/> (runtime)
+      <xref role="runtime" linkend="gpm"/> (runtime)
     </para>
 
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/prog/git.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -122,5 +122,6 @@
       <literal>--enable-jit</literal>,
       <xref linkend="subversion"/> with Perl bindings (for <command>git svn</command>),
-      <xref linkend="tk"/> (gitk, a simple <application>Git</application>
+      <xref role="runtime" linkend="tk"/>
+      (gitk, a simple <application>Git</application>
       repository viewer, uses <application>Tk</application> at runtime), and
       <xref linkend="valgrind"/>
Index: general/prog/java.xml
===================================================================
--- general/prog/java.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/prog/java.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -119,8 +119,8 @@
     <bridgehead renderas="sect3">Java Binary Runtime Dependencies</bridgehead>
     <para role="required">
-      <xref linkend="alsa-lib"/>,
-      <xref linkend="cups"/>,
-      <xref linkend="giflib"/>, and
-      <xref linkend="xorg7-lib"/>
+      <xref role="runtime" linkend="alsa-lib"/>,
+      <xref role="runtime" linkend="cups"/>,
+      <xref role="runtime" linkend="giflib"/>, and
+      <xref role="runtime" linkend="xorg7-lib"/>
     </para>
 
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/prog/mercurial.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -71,9 +71,11 @@
     <xref linkend="git"/>,
     <xref linkend="gnupg2"/> (<command>gpg2</command> with Python bindings),
-    <xref linkend="openssh"/> (runtime, to access ssh://... repositories),
+    <xref role="runtime" linkend="openssh"/>
+      (runtime, to access ssh://... repositories),
     <xref linkend="subversion"/> (with Python bindings),
     <ulink url="https://launchpad.net/bzr">Bazaar</ulink>,
     <ulink url="http://www.nongnu.org/cvs/">CVS</ulink>,
-    <ulink url="http://docutils.sourceforge.net/">Docutils</ulink> (required to build the documentation),
+    <ulink url="http://docutils.sourceforge.net/">Docutils</ulink>
+      (required to build the documentation),
     <ulink url="https://pypi.python.org/pypi/pyflakes">pyflakes</ulink>,
     <ulink url="http://pygments.org/">pygments</ulink>, and
Index: general/sysutils/logrotate.xml
===================================================================
--- general/sysutils/logrotate.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/sysutils/logrotate.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -80,10 +80,10 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="fcron"/> (runtime)
+      <xref role="runtime" linkend="fcron"/> (runtime)
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      An <xref linkend="server-mail"/> (runtime)
+      An <xref role="runtime" linkend="server-mail"/> (runtime)
     </para>
 
Index: general/sysutils/pm-utils.xml
===================================================================
--- general/sysutils/pm-utils.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/sysutils/pm-utils.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -81,8 +81,12 @@
     <bridgehead renderas="sect4">Optional (runtime)</bridgehead>
     <para role="optional">
-      <xref linkend="hdparm"/>,
-      <xref linkend="wireless_tools"/>,
-      <ulink url="https://www.kernel.org/pub/software/network/ethtool/">ethtool</ulink>, and
-      <ulink url="http://ftp.de.debian.org/debian/pool/main/v/vbetool/">vbetool</ulink>
+      <xref role="runtime" linkend="hdparm"/>,
+      <xref role="runtime" linkend="wireless_tools"/>,
+      <ulink role="runtime"
+             url="https://www.kernel.org/pub/software/network/ethtool/">
+        ethtool</ulink>, and
+      <ulink role="runtime"
+             url="http://ftp.de.debian.org/debian/pool/main/v/vbetool/">
+        vbetool</ulink>
     </para>
 
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/sysutils/systemd.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -74,5 +74,6 @@
     <bridgehead renderas="sect4">Recommended Runtime Dependencies</bridgehead>
     <para role="recommended">
-      <xref linkend="polkit"/> and <xref linkend="python3"/> (required for the
+      <xref role="runtime" linkend="polkit"/> and
+      <xref role="runtime" linkend="python3"/> (also required for the
        test suite)<!-- hwdb  and tests -->
     </para>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 0bd9c1987f38a4d36c588c7df2050bca57c35917)
+++ general/sysutils/udisks2.xml	(revision 572553b38dbccedc2678b2c5f7d430c67b87d733)
@@ -85,9 +85,9 @@
     <bridgehead renderas="sect4">Required at runtime</bridgehead>
     <para role="required">
-      <xref linkend="btrfs-progs"/>,
-      <xref linkend="dosfstools"/>,
-      <xref linkend="gptfdisk"/>,
-      <xref linkend="mdadm"/>, and
-      <xref linkend="xfsprogs"/>
+      <xref role="runtime" linkend="btrfs-progs"/>,
+      <xref role="runtime" linkend="dosfstools"/>,
+      <xref role="runtime" linkend="gptfdisk"/>,
+      <xref role="runtime" linkend="mdadm"/>, and
+      <xref role="runtime" linkend="xfsprogs"/>
     </para>
 