Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ introduction/welcome/changelog.xml	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -46,4 +46,8 @@
       <para>August 31st, 2017</para>
       <itemizedlist>
+        <listitem>
+          <para>[pierre] - Change download links for lxqt applications, and
+          update to obconf-qt-0.11.1.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Change download links for lxqt desktop, and update
Index: lxqt/apps/lximage-qt.xml
===================================================================
--- lxqt/apps/lximage-qt.xml	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ lxqt/apps/lximage-qt.xml	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -5,5 +5,9 @@
   %general-entities;
 
-  <!ENTITY lximage-qt-download-http "http://downloads.lxqt.org/lximage-qt/&lximage-qt-version;/lximage-qt-&lximage-qt-version;.tar.xz">
+<!-- As of August 2017, downloads.lxqt.org is down. Use github archives
+     instead, but keep the old link in case the host become available again.
+     According to lxqt devs, they are working on it...
+  <!ENTITY lximage-qt-download-http "http://downloads.lxqt.org/lximage-qt/&lximage-qt-version;/lximage-qt-&lximage-qt-version;.tar.xz">-->
+  <!ENTITY lximage-qt-download-http "https://github.com/lxde/lximage-qt/releases/download/&lximage-qt-version;/lximage-qt-&lximage-qt-version;.tar.xz">
   <!ENTITY lximage-qt-download-ftp  " ">
   <!ENTITY lximage-qt-md5sum        "90b79b017649a06b0eb6178590143856">
@@ -35,5 +39,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/apps/obconf-qt.xml
===================================================================
--- lxqt/apps/obconf-qt.xml	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ lxqt/apps/obconf-qt.xml	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -5,10 +5,14 @@
   %general-entities;
 
-  <!ENTITY obconf-qt-download-http "https://downloads.lxqt.org/obconf-qt/&obconf-qt-version;/obconf-qt-&obconf-qt-version;.tar.xz">
+<!-- As of August 2017, downloads.lxqt.org is down. Use github archives
+     instead, but keep the old link in case the host become available again.
+     According to lxqt devs, they are working on it...
+  <!ENTITY obconf-qt-download-http "https://downloads.lxqt.org/obconf-qt/&obconf-qt-version;/obconf-qt-&obconf-qt-version;.tar.xz">-->
+  <!ENTITY obconf-qt-download-http "https://github.com/lxde/obconf-qt/releases/download/&obconf-qt-version;/obconf-qt-&obconf-qt-version;.tar.xz">
   <!ENTITY obconf-qt-download-ftp  " ">
-  <!ENTITY obconf-qt-md5sum        "12de451f5ab442bf6174ea285f2670e9">
-  <!ENTITY obconf-qt-size          "34 KB">
-  <!ENTITY obconf-qt-buildsize     "2.1 MB">
-  <!ENTITY obconf-qt-time          "0.15 SBU">
+  <!ENTITY obconf-qt-md5sum        "f0f0d48d3e9c2477c1d2eb36cd85de96">
+  <!ENTITY obconf-qt-size          "33 KB">
+  <!ENTITY obconf-qt-buildsize     "2.9 MB">
+  <!ENTITY obconf-qt-time          "0.5 SBU">
 ]>
 
@@ -34,5 +38,5 @@
       <application>OpenBox</application> Qt based configuration tool.</para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -118,4 +122,8 @@
 <screen role="root"><userinput>make install</userinput></screen>
 
+<!-- It seems the command below is not needed if lxqt-l10n and obconf-qt
+     are both in LXQT_PREFIX.
+     OTOH, a link needs to be created for the application icon to be found
+     in menu...
     <para>
       If <xref linkend="lxqt-l10n"/> is not installed in <filename
@@ -131,5 +139,15 @@
       Note that the above instruction works only if <envar>LXQT_PREFIX</envar>
       has been set as explained in <xref linkend="lxqt-pre-install"/>.
-    </para>
+    </para>-->
+
+    <para>
+      If you installed in /opt, again as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>if [ "$LXQT_PREFIX" != /usr ]; then
+  ln -svf $LXQT_PREFIX/share/applications/obconf-qt.desktop \
+          /usr/share/applications
+fi</userinput></screen>
 
   </sect2>
Index: lxqt/apps/pavucontrol-qt.xml
===================================================================
--- lxqt/apps/pavucontrol-qt.xml	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ lxqt/apps/pavucontrol-qt.xml	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -5,5 +5,9 @@
   %general-entities;
 
-  <!ENTITY pavucontrol-qt-download-http "https://downloads.lxqt.org/pavucontrol-qt/&pavucontrol-qt-version;/pavucontrol-qt-&pavucontrol-qt-version;.tar.xz">
+<!-- As of August 2017, downloads.lxqt.org is down. Use github archives
+     instead, but keep the old link in case the host become available again.
+     According to lxqt devs, they are working on it...
+  <!ENTITY pavucontrol-qt-download-http "https://downloads.lxqt.org/pavucontrol-qt/&pavucontrol-qt-version;/pavucontrol-qt-&pavucontrol-qt-version;.tar.xz">-->
+  <!ENTITY pavucontrol-qt-download-http "https://github.com/lxde/pavucontrol-qt/releases/download/&pavucontrol-qt-version;/pavucontrol-qt-&pavucontrol-qt-version;.tar.xz">
   <!ENTITY pavucontrol-qt-download-ftp  " ">
   <!ENTITY pavucontrol-qt-md5sum        "f08a3a9d58078844c4d9391988a21eec">
@@ -36,5 +40,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -110,10 +114,4 @@
 
     <para>
-      The choice of <filename class="directory">/usr</filename> prefix is due
-      to the general characteristics of this program, which can be used
-      without <application>LXQt</application>.
-    </para>
-
-    <para>
       This package does not come with a test suite.
     </para>
@@ -124,4 +122,14 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      If you installed in /opt, again as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>if [ "$LXQT_PREFIX" != /usr ]; then
+  ln -svf $LXQT_PREFIX/share/applications/pavucontrol-qt.desktop \
+          /usr/share/applications
+fi</userinput></screen>
 
   </sect2>
Index: lxqt/apps/qterminal.xml
===================================================================
--- lxqt/apps/qterminal.xml	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ lxqt/apps/qterminal.xml	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -154,4 +154,5 @@
                     /usr/share/doc/qterminal-&qterminal-version;/pdf</userinput></screen>
 
+<!-- See for obconf-qt:
     <para>
       If <xref linkend="lxqt-l10n"/> is not installed in <filename
@@ -167,5 +168,17 @@
       Note that the above instruction works only if <envar>LXQT_PREFIX</envar>
       has been set as explained in <xref linkend="lxqt-pre-install"/>.
-    </para>
+    </para>-->
+
+    <para>
+      If you installed in /opt, again as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>if [ "$LXQT_PREFIX" != /usr ]; then
+  ln -svf $LXQT_PREFIX/share/applications/qterminal.desktop \
+          /usr/share/applications
+  ln -svf $LXQT_PREFIX/share/applications/qterminal_drop.desktop \
+          /usr/share/applications
+fi</userinput></screen>
 
   </sect2>
Index: lxqt/desktop/pcmanfm-qt.xml
===================================================================
--- lxqt/desktop/pcmanfm-qt.xml	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ lxqt/desktop/pcmanfm-qt.xml	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -14,5 +14,5 @@
   <!ENTITY pcmanfm-qt-size          "94 KB">
   <!ENTITY pcmanfm-qt-buildsize     "7.7 MB">
-  <!ENTITY pcmanfm-qt-time          "0.6 SBU">
+  <!ENTITY pcmanfm-qt-time          "0.3 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision a822cb5397b71ade8b3dcd00a0b4a41a57ed3a4e)
+++ packages.ent	(revision 575062a2172c6210a3031cd87ac5c3d45f6c3d5e)
@@ -692,5 +692,5 @@
 <!-- Chapter 41 -->
 <!ENTITY lximage-qt-version           "0.5.1">
-<!ENTITY obconf-qt-version            "0.11.0">
+<!ENTITY obconf-qt-version            "0.11.1">
 <!ENTITY pavucontrol-qt-version       "0.2.0">
 <!ENTITY qtermwidget-version          "0.7.1">