Index: general.ent
===================================================================
--- general.ent	(revision 501fe151ecb255ed3a44b3df5b9af60964907020)
+++ general.ent	(revision 580988ab00229f0bc0855a69c55518235a68a850)
@@ -734,5 +734,5 @@
 
 <!-- Chapter 35 -->
-<!ENTITY seamonkey-version            "2.26">
+<!ENTITY seamonkey-version            "2.26.1">
 <!ENTITY firefox-version              "&xulrunner-version;">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 501fe151ecb255ed3a44b3df5b9af60964907020)
+++ introduction/welcome/changelog.xml	(revision 580988ab00229f0bc0855a69c55518235a68a850)
@@ -49,4 +49,8 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - seamonkey-2.26.1. Fixes
+          <ulink url="&blfs-ticket-root;5178">#5178</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[fernando] - libpng-1.6.12. Fixes
           <ulink url="&blfs-ticket-root;5177">#5177</ulink>.</para>
Index: xsoft/graphweb/seamonkey.xml
===================================================================
--- xsoft/graphweb/seamonkey.xml	(revision 501fe151ecb255ed3a44b3df5b9af60964907020)
+++ xsoft/graphweb/seamonkey.xml	(revision 580988ab00229f0bc0855a69c55518235a68a850)
@@ -9,8 +9,8 @@
   <!ENTITY seamonkey-download-ftp
   "ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/&seamonkey-version;/source/seamonkey-&seamonkey-version;.source.tar.bz2">
-  <!ENTITY seamonkey-md5sum        "1749f6350209e35e0bede3bf4e56c42c">
+  <!ENTITY seamonkey-md5sum        "4bfa46b370b4d211eef56b90277a9517">
   <!ENTITY seamonkey-size          "158 MB">
   <!ENTITY seamonkey-buildsize     "1.7 GB (67 MB installed)">
-  <!ENTITY seamonkey-time          "40 SBU">
+  <!ENTITY seamonkey-time          "37 SBU">
 ]>
 
@@ -107,4 +107,7 @@
       <xref linkend="libevent"/>,
       <xref linkend="doxygen"/>,
+      <xref linkend="gst-plugins-base"/> (with
+      <xref linkend="gst-plugins-good"/> and
+      <xref linkend="gst-ffmpeg"/> at runtime)
       <xref linkend="libnotify"/>,
       <xref linkend="nspr"/>,
@@ -165,10 +168,6 @@
 # GStreamer is necessary for H.264 video playback in HTML5 Video Player;
 # to be enabled, also remember to set "media.gstreamer.enabled" to "true"
-# in about:config. If you have installed GStreamer comment out this line:
-ac_add_options --disable-gstreamer
-
-# Uncomment this line if you compiled Cairo with --enable-tee switch and want
-# to use it instead of the bundled one:
-#ac_add_options --enable-system-cairo
+# in about:config. If you have GStreamer 0.x.y, uncomment this line:
+#ac_add_options --enable-gstreamer
 
 # Uncomment these if you have installed them:
@@ -191,4 +190,5 @@
 ac_add_options --enable-application=suite
 ac_add_options --enable-shared
+ac_add_options --enable-system-cairo
 ac_add_options --enable-system-ffi
 ac_add_options --prefix=/usr
@@ -222,6 +222,5 @@
     </note>
 
-<screen><userinput>make -f client.mk &amp;&amp;
-make -C moz-build-dir/suite/installer</userinput></screen>
+<screen><userinput>make -f client.mk</userinput></screen>
 
     <para>
@@ -237,14 +236,5 @@
     </para>
 
-<screen role="root"><userinput>rm -rf    /usr/lib/seamonkey-&seamonkey-version; &amp;&amp;
-mkdir -pv /usr/lib/seamonkey-&seamonkey-version; &amp;&amp;
-
-tar -xf moz-build-dir/mozilla/dist/seamonkey-&seamonkey-version;.en-US.linux-$(uname -m).tar.bz2 \
-  -C /usr/lib/seamonkey-&seamonkey-version; --strip-components=1  &amp;&amp;
-
-ln -sfv ../lib/seamonkey-&seamonkey-version;/seamonkey /usr/bin   &amp;&amp;
-
-mkdir -pv /usr/lib/mozilla/plugins                   &amp;&amp;
-ln -sfv ../mozilla/plugins /usr/lib/seamonkey-&seamonkey-version; &amp;&amp;
+<screen role="root"><userinput>make -f client.mk install INSTALL_SDK= &amp;&amp;
 
 cp -v moz-build-dir/mozilla/dist/man/man1/seamonkey.1 /usr/share/man/man1</userinput></screen>
@@ -285,24 +275,4 @@
     </para>
 
-    <para>
-      <command>make -C moz-build-dir/suite/installer</command>: this creates a
-      tarball of the finished <application>SeaMonkey</application>.
-    </para>
-
-    <para>
-      <command>tar xf
-      moz-build-dir/mozilla/dist/seamonkey-&seamonkey-version;.en-US.linux-$(uname -m).tar.bz2
-      -C /usr/lib/seamonkey-&seamonkey-version; --strip-components=1</command>:
-      this untars <application>SeaMonkey</application> into
-      /usr/lib/seamonkey-&seamonkey-version;.
-    </para>
-
-    <para>
-      <command>ln -s ../mozilla/plugins
-      /usr/lib/seamonkey-&seamonkey-version;</command>: this creates a symlink
-      to <filename class="directory">/usr/lib/mozilla/plugins</filename> for the
-      sake of compatibility, to keep all your plugins in the place mozilla
-      plugins are normally found.
-    </para>
   </sect2>
 