Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ appendices/glossary.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -360,4 +360,7 @@
 <glossdef><para>Media Access Control</para></glossdef></glossentry>
 
+<glossentry id="gMCOP"><glossterm><acronym>MCOP</acronym></glossterm>
+<glossdef><para>Multimedia COmmunication Protocol</para></glossdef></glossentry>
+
 <glossentry id="gMCU"><glossterm><acronym>MCU</acronym></glossterm>
 <glossdef><para>Multipoint Control Unit</para></glossdef></glossentry>
Index: general.ent
===================================================================
--- general.ent	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ general.ent	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -1,3 +1,3 @@
-<!ENTITY day          "11">
+<!ENTITY day          "12">
 <!ENTITY month        "08">
 <!ENTITY year         "2004">
@@ -245,6 +245,6 @@
 <!-- Part IX -->
 <!-- Chapter 28 -->
-<!ENTITY kde-version                  "3.2.2">
-<!ENTITY arts-version                 "1.2.2">
+<!ENTITY kde-version                  "3.2.3">
+<!ENTITY arts-version                 "1.2.3">
 <!ENTITY kde-dldir                    "&kde-version;">
 <!ENTITY kde-download-http            "http://mirrors.isc.org/pub/kde/stable/&kde-dldir;/src">
@@ -253,5 +253,5 @@
                                    
 <!-- Chapter 29 -->                
-<!ENTITY kdevelop-version             "3.0.3">
+<!ENTITY kdevelop-version             "3.0.4">
 
 <!-- Part X -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ introduction/welcome/changelog.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -23,4 +23,9 @@
 <itemizedlist>
 
+<listitem><para>August 12th, 2004 [randy]: Updated to
+KDE-3.2.3 (note: not all package download and build sizes, SBUs
+and ancillary instructions have been updated); updated Glossary.</para>
+</listitem>
+
 <listitem><para>August 11th, 2004 [randy]: Fixed typo in libmikmod
 instructions as suggested by Nico R.; updated to 
Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ kde/add/kdemultimedia.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -7,8 +7,7 @@
 <!ENTITY kdemultimedia-download-http "&kde-download-http;/kdemultimedia-&kde-version;.tar.bz2">
 <!ENTITY kdemultimedia-download-ftp "&kde-download-ftp;/kdemultimedia-&kde-version;.tar.bz2">
-<!ENTITY kdemultimedia-size "4.7 MB">
-<!ENTITY kdemultimedia-buildsize "78 MB">
-<!ENTITY kdemultimedia-time "8.93 SBU">
-
+<!ENTITY kdemultimedia-size "4.8 MB">
+<!ENTITY kdemultimedia-buildsize "114 MB">
+<!ENTITY kdemultimedia-time "12.33 SBU">
 ]>
 
@@ -55,7 +54,9 @@
 <xref linkend="flac"/>,
 <ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>,
-<ulink url="http://developer.kde.org/~wheeler/taglib/">TagLib</ulink>
-and
-<ulink url="http://www.musicbrainz.org/">libmusicbrainz</ulink>
+<ulink url="http://developer.kde.org/~wheeler/taglib/">TagLib</ulink>, 
+<ulink url="http://www.musicbrainz.org/">libmusicbrainz</ulink>, 
+<ulink url="http://www.musicbrainz.org/products/trmgen/download.html">TRM 
+Generator</ulink> and 
+<ulink url="http://gstreamer.freedesktop.org/">GStreamer</ulink>
 </para></sect4>
 </sect3>
@@ -67,4 +68,5 @@
 
 <para>Install <application>kdemultimedia</application> with:</para>
+
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
@@ -77,5 +79,6 @@
 <title>Configuring kdemultimedia</title>
 
-<para>There is no explicit configuration for the kdemultimedia package, however
+<para>There is no explicit configuration for the 
+<application>kdemultimedia</application> package, however
 <command>kscd</command> needs to find the CD drive. The default is
 <filename>/dev/cdrom</filename> which may not exist on your system.  The
@@ -83,6 +86,5 @@
 (e.g., <filename>/dev/hdc</filename>, <filename>/dev/scd0</filename>, etc.):
 
-<screen><userinput><command>cd /dev &amp;&amp;
-ln -s <replaceable>[CD Drive]</replaceable> /dev/cdrom</command></userinput></screen>
+<screen><userinput><command>ln -s <replaceable>[CD Drive]</replaceable> /dev/cdrom</command></userinput></screen>
 
 </para>
Index: kde/add/kdesdk.xml
===================================================================
--- kde/add/kdesdk.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ kde/add/kdesdk.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -7,8 +7,7 @@
 <!ENTITY kdesdk-download-http "&kde-download-http;/kdesdk-&kde-version;.tar.bz2">
 <!ENTITY kdesdk-download-ftp "&kde-download-ftp;/kdesdk-&kde-version;.tar.bz2">
-<!ENTITY kdesdk-size "3.8 MB">
-<!ENTITY kdesdk-buildsize "65 MB">
-<!ENTITY kdesdk-time "5.03 SBU">
-
+<!ENTITY kdesdk-size "3.9 MB">
+<!ENTITY kdesdk-buildsize "91 MB">
+<!ENTITY kdesdk-time "9.95 SBU">
 ]>
 
@@ -58,22 +57,4 @@
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
-make</command></userinput></screen>
-
-<para>
-The <command>make</command> command will error out two times. On the
-first occurrence, enter the following sed command and continue with the
-compilation:
-</para>
-
-<screen><userinput><command>sed -i 's/class istream;/#include &lt;istream.h&gt;/' \
-    kbabel/common/libgettext/pofiles.cc &amp;&amp;
-make</command></userinput></screen>
-
-<para>
-Repeat the previous procedure:
-</para>    
-
-<screen><userinput><command>sed -i 's/class istream;/#include &lt;istream.h&gt;/' \
-    umbrello/umbrello/classparser/tokenizer.cc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ kde/core/arts.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -7,8 +7,7 @@
 <!ENTITY arts-download-http "&kde-download-http;/arts-&arts-version;.tar.bz2">
 <!ENTITY arts-download-ftp "&kde-download-ftp;/arts-&arts-version;.tar.bz2">
-<!ENTITY arts-size "949 KB">
-<!ENTITY arts-buildsize "25 MB">
-<!ENTITY arts-time "1.69 SBU">
-
+<!ENTITY arts-size "965 KB">
+<!ENTITY arts-buildsize "31 MB">
+<!ENTITY arts-time "1.73 SBU">
 ]>
 
@@ -25,6 +24,6 @@
 
 <para>The Analog Real-time Synthesizer (<acronym>aRts</acronym>)
-provides sound support for <acronym>KDE</acronym>. It provides necessary
-libraries for kdelibs.</para>
+provides sound support for <acronym>KDE</acronym> and necessary
+libraries for <application>kdelibs</application>.</para>
 
 <sect3><title>Package information</title>
@@ -49,4 +48,5 @@
 <sect4><title>Optional</title>
 <para>
+<xref linkend="libjpeg"/>,
 <xref linkend="libogg"/>,
 <xref linkend="libvorbis"/>,
@@ -78,15 +78,37 @@
 
 <para><parameter>--prefix=&kde-dir;</parameter> : This option tells the
-process to install the package in <filename
-class="directory">&kde-dir;</filename>. aRts is installed here as it's
-required before installing <acronym>KDE</acronym>.</para>
+process to install the package in 
+<filename class="directory">&kde-dir;</filename>. aRts is installed here as 
+it's required before installing <acronym>KDE</acronym>.</para>
 
-<para><parameter>--disable-debug</parameter> : This option causes the
-system to be compiled without debugging code.
-</para>
+<para><option>--disable-debug</option> : This option causes the
+package to be compiled without debugging code.</para>
 
-<para><parameter>--disable-dependency-tracking</parameter> : This option
-speeds
-up one time builds.</para>
+<para><option>--disable-dependency-tracking</option> : This option
+speeds up one time builds.</para>
+
+</sect2>
+
+<sect2><title>Contents</title>
+<para><application><acronym>aRts</acronym></application> contains 
+<command>artsc-config</command>, <command>artscat</command>, 
+<command>artsd</command>, <command>artsdsp</command>, 
+<command>artsplay</command>, <command>artsrec</command>, 
+<command>artsshell</command>, <command>artswrapper</command>, 
+<command>mcopidl</command>,  
+<application><acronym>aRts</acronym></application> libraries and 
+<acronym>MCOP</acronym> objects.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+<para>To find out information about 
+<application><acronym>aRts</acronym></application> and the various programs 
+included in the package, see 
+<ulink url="http://docs.kde.org/en/3.2/kdemultimedia/artsbuilder/">The aRts 
+Handbook</ulink>. For information in languages other then English, see the 
+<ulink url="http://docs.kde.org/">KDE Documentation</ulink> and navigate to
+the <application><acronym>aRts</acronym></application> documentation in your 
+language.</para>
 
 </sect2>
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ kde/core/kdebase.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -7,8 +7,7 @@
 <!ENTITY kdebase-download-http "&kde-download-http;/kdebase-&kde-version;.tar.bz2">
 <!ENTITY kdebase-download-ftp "&kde-download-ftp;/kdebase-&kde-version;.tar.bz2">
-<!ENTITY kdebase-size "17 MB">
-<!ENTITY kdebase-buildsize "174 MB">
-<!ENTITY kdebase-time "17.1 SBU">
-
+<!ENTITY kdebase-size "17.3 MB">
+<!ENTITY kdebase-buildsize "174-274 MB (depending on options used)">
+<!ENTITY kdebase-time "20.68 SBU (including building API docs)">
 ]>
 
@@ -24,9 +23,7 @@
 <title>Introduction to <application>kdebase</application></title>
 
-<para><application>kdebase</application> is the second mandatory package
-(besides kdelibs) for
-the K Desktop Environment. It provides various applications and
-infrastructure files
-and libraries.</para>
+<para><application>kdebase</application> is the last mandatory package 
+required for the K Desktop Environment. It provides various applications, 
+infrastructure files and libraries.</para>
 
 <sect3><title>Package information</title>
@@ -48,21 +45,20 @@
 <sect4><title>Optional</title>
 <para>
+<xref linkend="pkgconfig"/>,
+<xref linkend="libjpeg"/>,
+<xref linkend="libtiff"/>,
+<xref linkend="libart_lgpl"/>,
+<xref linkend="lesstif"/>,
 <xref linkend="libxml2"/>,
 <xref linkend="j2sdk"/>,
-<xref linkend="lesstif"/>,
 <xref linkend="openssl"/>,
 <xref linkend="Linux_PAM"/>,
-<xref linkend="libtiff"/>,
 <xref linkend="openldap"/>,
-<xref linkend="pkgconfig"/>,
-<xref linkend="libart_lgpl"/>,
 <xref linkend="samba3"/>,
 <ulink url="http://mtools.linux.lu/?power-to-the-parliament">Mtools</ulink>,
 <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
 <ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>,
-<ulink
-url="http://www.research.att.com/sw/tools/graphviz/">graphviz</ulink>
-and
-<ulink url="http://www.stack.nl/~dimitri/doxygen/">doxygen</ulink>
+<ulink url="http://www.research.att.com/sw/tools/graphviz/">Graphviz</ulink>
+and <ulink url="http://www.stack.nl/~dimitri/doxygen/">doxygen</ulink>
 </para></sect4>
 </sect3>
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 6b0eb37b982eb247e3038dc5f96cff9d1c304b40)
+++ kde/core/kdelibs.xml	(revision 583760d033fc1e2e74e7f3c4caaf26c67cb0f289)
@@ -7,8 +7,7 @@
 <!ENTITY kdelibs-download-http "&kde-download-http;/kdelibs-&kde-version;.tar.bz2">
 <!ENTITY kdelibs-download-ftp "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
-<!ENTITY kdelibs-size "13 MB">
-<!ENTITY kdelibs-buildsize "160 MB">
-<!ENTITY kdelibs-time "12.6 SBU">
-
+<!ENTITY kdelibs-size "12.7 MB">
+<!ENTITY kdelibs-buildsize "160-590 MB (depending on options used)">
+<!ENTITY kdelibs-time "12.6-21.4 SBU (depending on options used)">
 ]>
 
@@ -24,5 +23,5 @@
 <title>Introduction to <application>kdelibs</application></title>
 
-<para>This package includes libraries that are central to the
+<para>This package includes programs and libraries that are central to the
 development and execution of a <acronym>KDE</acronym> program, as well
 as internationalization files for these libraries, misc
@@ -43,5 +42,5 @@
 </sect3>
 
-<sect3><title>Additional downloads</title>
+<!-- <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
 <listitem><para>Required Patch: <ulink
@@ -49,5 +48,5 @@
 <listitem><para>Required Patch: <ulink
 url="ftp://ftp.kde.org/pub/kde/security_patches/post-3.2.2-kdelibs-ktelnetservice.patch"/></para></listitem>
-</itemizedlist></sect3>
+</itemizedlist></sect3> -->
 
 <sect3><title><application>kdelibs</application> dependencies</title>
@@ -56,4 +55,5 @@
 <sect4><title>Optional</title>
 <para>
+<xref linkend="libjpeg"/>,
 <xref linkend="libxml2"/>,
 <xref linkend="libxslt"/>,
@@ -69,5 +69,5 @@
 <ulink url="http://www.ece.uvic.ca/~mdadams/jasper/">JasPer</ulink>,
 <ulink
-url="http://www.research.att.com/sw/tools/graphviz/">graphviz</ulink>
+url="http://www.research.att.com/sw/tools/graphviz/">Graphviz</ulink>
 and
 <ulink url="http://www.stack.nl/~dimitri/doxygen/">doxygen</ulink>
@@ -81,47 +81,50 @@
 
 <para>Install <application>kdelibs</application> with:</para>
-<screen><userinput><command>patch -Np1 -i ../post-3.2.2-kdelibs-kapplication.patch &amp;&amp;
-patch -Np0 -i ../post-3.2.2-kdelibs-ktelnetservice.patch &amp;&amp;
-./configure --prefix=&kde-dir; --disable-debug \
+<screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking --enable-fast-malloc=full --disable-pcre &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
 
-<note><para>If you wish to create the <acronym>API</acronym>
-documentation and you have
-doxygen and graphviz installed, <command>make apidox</command> must be
-done
-before <command>make install</command>. This applies to all packages
-which can utilize doxygen.</para></note>
+<note><para>If you wish to create the <acronym>API</acronym> documentation and 
+you have <application>doxygen</application> and 
+<application>Graphviz</application> installed, <command>make apidox</command> 
+must be done before <command>make install</command>. This applies to all 
+packages which can utilize <application>doxygen</application>.</para></note>
 
 </sect2>
 
 <sect2><title>Command explanations</title>
-<para><parameter>--prefix=&kde-dir;</parameter> : This option tells
-the process to install the package in <filename
-class="directory">&kde-dir;</filename>.</para>
+<para><parameter>--prefix=&kde-dir;</parameter> : This option tells the process 
+to install the package in <filename class="directory">&kde-dir;</filename>.
+</para>
 
-<para><parameter>--disable-debug</parameter> : This option causes the
-system to be compiled without debugging code.</para>
+<para><option>--disable-debug</option> : This option causes the
+package to be compiled without debugging code.</para>
 
-<para><parameter>--disable-dependency-tracking</parameter> : This option
+<para><option>--disable-dependency-tracking</option> : This option
 speeds up one time builds.</para>
 
-<para><parameter>--enable-fast-malloc=full</parameter> : This option
-tells
+<para><parameter>--enable-fast-malloc=full</parameter> : This option tells
 <acronym>KDE</acronym> programs to use an internal memory allocation
-scheme
-optimized for <acronym>KDE</acronym>.</para>
+scheme optimized for <acronym>KDE</acronym>.</para>
 
-<para><parameter>--disable-pcre</parameter> : Omit this switch if you
-have <acronym>PCRE</acronym> installed and you want improved regular
-expression support
-in the <acronym>KDE</acronym> JavaScript engine.</para>
+<para><option>--disable-pcre</option> : Omit this switch if you have 
+<application><acronym>PCRE</acronym></application> installed and you want 
+improved regular expression support in the <acronym>KDE</acronym> JavaScript 
+engine.</para>
 
 </sect2>
  
 <sect2><title>Contents</title>
-<para>kdelibs provides numerous libraries needed by
-<acronym>KDE</acronym> programs.</para>
+<para><application>kdelibs</application> provides numerous programs and 
+libraries needed by <acronym>KDE</acronym> programs.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+<para>The number of programs and libraries installed by 
+<application>kdelibs</application> prohibits an explanation of each one in this 
+section. Instead, see the <ulink url="http://docs.kde.org/">KDE 
+Documentation</ulink>.</para>
 
 </sect2>