Index: general.ent
===================================================================
--- general.ent	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ general.ent	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "30">                   <!-- Always 2 digits -->
+<!ENTITY day          "31">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 30th, &year;">
+<!ENTITY releasedate  "January 31st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libgusb.xml
===================================================================
--- general/genlib/libgusb.xml	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ general/genlib/libgusb.xml	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -7,7 +7,7 @@
   <!ENTITY libgusb-download-http "https://people.freedesktop.org/~hughsient/releases/libgusb-&libgusb-version;.tar.xz">
   <!ENTITY libgusb-download-ftp  " ">
-  <!ENTITY libgusb-md5sum        "ffffc94868dd88f984ca8034e6006d9c">
+  <!ENTITY libgusb-md5sum        "0bf2ff02551b3bd434a22e429a72aeba">
   <!ENTITY libgusb-size          "40 KB">
-  <!ENTITY libgusb-buildsize     "1.8 MB (with tests)">
+  <!ENTITY libgusb-buildsize     "1.9 MB (with tests)">
   <!ENTITY libgusb-time          "less than 0.1 SBU (with tests)">
 ]>
Index: general/prog/cbindgen.xml
===================================================================
--- general/prog/cbindgen.xml	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ general/prog/cbindgen.xml	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -7,8 +7,8 @@
   <!ENTITY cbindgen-download-http "https://github.com/eqrion/cbindgen/archive/v&cbindgen-version;/cbindgen-&cbindgen-version;.tar.gz">
   <!ENTITY cbindgen-download-ftp  " ">
-  <!ENTITY cbindgen-md5sum        "85a5dd56c2f6cc3ffb04291610918761">
-  <!ENTITY cbindgen-size          "148 KB">
-  <!ENTITY cbindgen-buildsize     "91 MB (add 520 MB for tests)">
-  <!ENTITY cbindgen-time          "1.2 SBU (Using parallelism=4; add 0.5 SBU for tests)">
+  <!ENTITY cbindgen-md5sum        "0a2d944cd39bffec4f2ea33bed44e139">
+  <!ENTITY cbindgen-size          "160 KB">
+  <!ENTITY cbindgen-buildsize     "92 MB (add 522 MB for tests)">
+  <!ENTITY cbindgen-time          "1.1 SBU (Using parallelism=4; add 0.5 SBU for tests)">
 ]>
 
Index: general/prog/jinja2.xml
===================================================================
--- general/prog/jinja2.xml	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ general/prog/jinja2.xml	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -7,5 +7,5 @@
   <!ENTITY Jinja2-download-http "&pymodules-dl;/J/Jinja2/Jinja2-&Jinja2-version;.tar.gz">
   <!ENTITY Jinja2-download-ftp  " ">
-  <!ENTITY Jinja2-md5sum        "41ed96d3aa609847befcca90edd29ce7">
+  <!ENTITY Jinja2-md5sum        "5d88c7e77aa63fc852a04f65dbfe5594">
   <!ENTITY Jinja2-size          "252 KB">
   <!ENTITY Jinja2-buildsize     "2.6 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ introduction/welcome/changelog.xml	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -42,4 +42,26 @@
     </listitem>
        -->
+    <listitem>
+      <para>January 31st, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to cbindgen-0.13.0. Fixes
+          <ulink url="&blfs-ticket-root;13085">#13085</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Jinja2-2.11.1. Fixes
+          <ulink url="&blfs-ticket-root;13084">#13084</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libgusb-0.3.3. Fixes
+          <ulink url="&blfs-ticket-root;13083">#13083</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sudo-1.8.31. Fixes
+          <ulink url="&blfs-ticket-root;13082">#13082</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>January 30th, 2020</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ packages.ent	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -40,5 +40,5 @@
 <!ENTITY ssh-askpass-version          "&openssh-version;">
 <!ENTITY stunnel-version              "5.56">
-<!ENTITY sudo-version                 "1.8.30">
+<!ENTITY sudo-version                 "1.8.31">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
@@ -139,5 +139,5 @@
 <!ENTITY libgsf-version               "1.14.46">
 <!ENTITY libgudev-version             "233">
-<!ENTITY libgusb-version              "0.3.2">
+<!ENTITY libgusb-version              "0.3.3">
 <!ENTITY libical-version              "3.0.7">
 <!ENTITY libidn-version               "1.35">
@@ -310,5 +310,5 @@
 <!ENTITY autoconf213-version          "2.13">
 <!ENTITY bazaar-version               "2.5.1">
-<!ENTITY cbindgen-version             "0.12.2">
+<!ENTITY cbindgen-version             "0.13.0">
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
@@ -526,5 +526,5 @@
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY decorator-version            "4.4.1">
-<!ENTITY Jinja2-version               "2.11.0">
+<!ENTITY Jinja2-version               "2.11.1">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
 <!ENTITY lxml-version                 "4.5.0">
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision dfe7120624d2fa827232272b60e6ba24930217ea)
+++ postlfs/security/sudo.xml	(revision 590492d8949d28634bd5a234eca0c818dd18748f)
@@ -7,5 +7,5 @@
   <!ENTITY sudo-download-http "http://www.sudo.ws/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.sudo.ws/pub/sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "d56cd5835b1cc9852bd76ddaaa572475">
+  <!ENTITY sudo-md5sum        "ce17ff6e72a70f8d5dabba8abf3cd2de">
   <!ENTITY sudo-size          "3.2 MB">
   <!ENTITY sudo-buildsize     "39 MB (with tests)">