Index: general.ent
===================================================================
--- general.ent	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ general.ent	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -145,5 +145,5 @@
 <!-- Chapter 4 -->
 
-<!ENTITY cracklib-version             "2.8.22">
+<!ENTITY cracklib-version             "2.9.0">
 <!ENTITY cyrus-sasl-version           "2.1.26">
 <!ENTITY gnupg-version                "1.4.13">
@@ -159,5 +159,4 @@
 <!ENTITY nss-major-version            "15">
 <!ENTITY nss-minor-version            "1">
-<!-- <!ENTITY nss-version                  "3.&nss-major-version;.&nss-minor-version;"> -->
 <!ENTITY nss-version                  "3.&nss-major-version;.&nss-minor-version;">
 <!ENTITY openssh-version              "6.2p2">
@@ -330,4 +329,5 @@
 
 <!-- Chapter 12 -->
+<!ENTITY acpid-version                "2.0.19">
 <!ENTITY apache-ant-version           "1.8.4">
 <!ENTITY at-version                   "3.1.13">
@@ -803,5 +803,5 @@
 <!ENTITY pidgin-version               "2.10.7">
 <!ENTITY rox-filer-version            "2.11">
-<!ENTITY thunderbird-version          "17.0.6">
+<!ENTITY thunderbird-version          "17.0.7">
 <!ENTITY transmission-version         "2.80">
 <!ENTITY xchat-version                "2.8.8">
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ general/graphlib/librsvg.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -84,5 +84,5 @@
     <para role="recommended">
       <xref linkend="gtk2"/> (For the Theming Engine) and
-      <xref linkend="gtk3"/> (For the <command>rsvg-view-3</command>
+      <xref linkend="gtk3"/> (For the <command>rsvg-view-3</command>)
     </para>
 
Index: general/sysutils/acpid.xml
===================================================================
--- general/sysutils/acpid.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
+++ general/sysutils/acpid.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -0,0 +1,232 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY acpid-download-http "&sourceforge-repo;/acpid2/acpid-&acpid-version;.tar.xz">
+  <!ENTITY acpid-download-ftp  " ">
+  <!ENTITY acpid-md5sum        "0b07a982e3e28cf37645f2c6269af72e">
+  <!ENTITY acpid-size          "148 KB">
+  <!ENTITY acpid-buildsize     "2.3 MB">
+  <!ENTITY acpid-time          "0.1 SBU">
+]>
+
+<sect1 id="acpid" xreflabel="acpid-&acpid-version;">
+  <?dbhtml filename="acpid.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>acpid-&acpid-version;</title>
+
+  <indexterm zone="acpid">
+    <primary sortas="a-acpid">acpid</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to acpid</title>
+
+    <para>
+      The <application>acpid</application> (Advanced Configuration and Power
+      Interface event daemon) is a completely flexible, totally extensible
+      daemon for delivering ACPI events. It listens on netlink interface and
+      when an event occurs, executes programs to handle the event. The programs
+      it executes are configured through a set of configuration files, which can
+      be dropped into place by packages or by the user.
+    </para>
+
+    &lfs73_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&acpid-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&acpid-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &acpid-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &acpid-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &acpid-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &acpid-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/acpid"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of acpid</title>
+
+    <para>
+      Install <application>acpid</application> by
+      running the following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --docdir=/usr/share/doc/acpid-&acpid-version; &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m755 -d /etc/acpi/events &amp;&amp;
+cp -r samples /usr/share/doc/acpid-&acpid-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring acpid</title>
+
+    <para>
+      <application>acpid</application> is configured by user defined events.
+      Place event files under
+      <filename class="directory">/etc/acpi/events</filename> directory. If an
+      event occurs, <command>acpid</command> recurses through the event files in
+      order to see if the regex defined after "event" matches. If they do,
+      action is executed.
+    </para>
+
+    <para>
+      The following brief example will suspend the system when the laptop lid
+      is closed (it requires <xref linkend="pm-utils"/>):
+    </para>
+
+<screen role="root"><userinput>cat &gt; /etc/acpi/events/lid &lt;&lt; "EOF"
+<literal>event=button/lid
+action=/etc/acpi/lid.sh</literal>
+EOF
+
+cat &gt; /etc/acpi/lid.sh &lt;&lt; "EOF"
+<literal>#!/bin/sh
+/bin/grep -q open /proc/acpi/button/lid/LID/state &amp;&amp; exit 0
+/usr/sbin/pm-suspend</literal>
+EOF
+chmod +x /etc/acpi/lid.sh</userinput></screen>
+
+    <para>
+      Unfortunately, not every computer labels ACPI events in the same way. To
+      determine how your buttons are recognized, use the
+      <command>acpi_listen</command> tool. Also, look in package documentation's
+      samples directory for more examples.
+    </para>
+
+    <sect3  id="acpid-init">
+      <title>Boot Script</title>
+
+      <para>
+        To automatically start <command>acpid</command> when the system is
+        rebooted, install the <filename>/etc/rc.d/init.d/acpid</filename>
+        boot script from the <xref linkend="bootscripts"/> package.
+      </para>
+
+      <indexterm zone="acpid acpid-init">
+        <primary sortas="f-acpid">acpid</primary>
+      </indexterm>
+
+<screen role="root"><userinput>make install-acpid</userinput></screen>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          acpid, acpi_listen and kacpimon
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/doc/acpid-&acpid-version;
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="acpid-prog">
+        <term><command>acpid</command></term>
+        <listitem>
+          <para>
+            is a program that listens for ACPI events and executes the rules
+            that match the received event.
+          </para>
+          <indexterm zone="acpid acpid-prog">
+            <primary sortas="b-acpid">acpid</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="acpi_listen">
+        <term><command>acpi_listen</command></term>
+        <listitem>
+          <para>
+            is a simple tool which connects to <command>acpid</command> and
+            listens for events.
+          </para>
+          <indexterm zone="acpid acpi_listen">
+            <primary sortas="b-acpi_listen">acpi_listen</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="kacpimon">
+        <term><command>kacpimon</command></term>
+        <listitem>
+          <para>
+            is a monitor program that connects to three sources of ACPI events
+            (events file, netlink and input layer) and then reports on what it
+            sees while it is connected.
+          </para>
+          <indexterm zone="acpid kacpimon">
+            <primary sortas="b-kacpimon">kacpimon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/sysutils/sysutils.xml
===================================================================
--- general/sysutils/sysutils.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ general/sysutils/sysutils.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -20,4 +20,5 @@
   installation or configuration purposes.</para>
 
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="acpid.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="apache-ant.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="at.xml"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ introduction/welcome/changelog.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -45,4 +45,31 @@
 -->
     <listitem>
+      <para>July 12th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Thunderbird-17.0.7.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>July 11th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Updated to cracklib-2.9.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>July 10th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Added acpid-2.0.19.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>July 8th, 2013</para>
       <itemizedlist>
Index: multimedia/libdriv/libsamplerate.xml
===================================================================
--- multimedia/libdriv/libsamplerate.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ multimedia/libdriv/libsamplerate.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -76,6 +76,5 @@
     following commands:</para>
 
-<screen><userinput>sed -i 's/libsamplerate0-dev/libsamplerate-&libsamplerate-version;/' configure &amp;&amp;
-./configure --prefix=/usr --disable-static &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
@@ -85,5 +84,5 @@
     user:</para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>make htmldocdir=/usr/share/doc/libsamplerate-&libsamplerate-version; install</userinput></screen>
   </sect2>
 
Index: postlfs/security/cracklib.xml
===================================================================
--- postlfs/security/cracklib.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ postlfs/security/cracklib.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -7,7 +7,7 @@
   <!ENTITY cracklib-download-http "&sourceforge-repo;/cracklib/cracklib-&cracklib-version;.tar.gz">
   <!ENTITY cracklib-download-ftp  " ">
-  <!ENTITY cracklib-md5sum        "463177b5c29c7a598c991e12a4898e06">
-  <!ENTITY cracklib-size          "620 KB">
-  <!ENTITY cracklib-buildsize     "5.2 MB">
+  <!ENTITY cracklib-md5sum        "e0f94ac2138fd33c7e77b19c1e9a9390">
+  <!ENTITY cracklib-size          "616 KB">
+  <!ENTITY cracklib-buildsize     "30 MB">
   <!ENTITY cracklib-time          "less than 0.1 SBU">
 
Index: pst/ps/epdfview.xml
===================================================================
--- pst/ps/epdfview.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ pst/ps/epdfview.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -6,5 +6,5 @@
 
   <!ENTITY epdfview-download-http
-  "http://trac.emma-soft.com/epdfview/chrome/site/releases/epdfview-&epdfview-version;.tar.bz2">
+  "http://anduin.linuxfromscratch.org/sources/BLFS/conglomeration/epdfview/epdfview-&epdfview-version;.tar.bz2">
   <!ENTITY epdfview-download-ftp  " ">
   <!ENTITY epdfview-md5sum        "e50285b01612169b2594fea375f53ae4">
Index: pst/sgml/openjade.xml
===================================================================
--- pst/sgml/openjade.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ pst/sgml/openjade.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -6,5 +6,5 @@
 
   <!ENTITY openjade-download-http "&sourceforge-repo;/openjade/openjade-&openjade-version;.tar.gz">
-  <!ENTITY openjade-download-ftp  "ftp://ftp.freestandards.org/pub/lsb/app-battery/packages/openjade-&openjade-version;.tar.gz">
+  <!ENTITY openjade-download-ftp  " ">
   <!ENTITY openjade-md5sum        "7df692e3186109cc00db6825b777201e">
   <!ENTITY openjade-size          "880 KB">
Index: x/installing/xorg-server.xml
===================================================================
--- x/installing/xorg-server.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ x/installing/xorg-server.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -94,4 +94,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para>
+      <xref linkend="acpid"/> (runtime),
       <xref linkend="doxygen"/> (to build API documentation),
       <xref linkend="fop"/>, (to build documentation),
Index: x/lib/gtk+2.xml
===================================================================
--- x/lib/gtk+2.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ x/lib/gtk+2.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -134,6 +134,7 @@
       </para>
 
-<screen role="root"><userinput>gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules</userinput></screen>
+<screen role="root"><userinput>gtk-query-immodules-2.0 --update-cache</userinput></screen>
     </note>
+
   </sect2>
 
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ xsoft/graphweb/firefox.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -226,5 +226,5 @@
 
     <para>
-      If you are building against an already installed <application>xulrunner</application>
+      If you are building against an already installed <application>Xulrunner</application>
       apply the patch:
     </para>
@@ -313,11 +313,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>patch -Np1 -i ../firefox-&firefox-version;-search_box_fix-1.patch
-      </command>: This command makes the search box work again. It is only
-      needed if you are linking against an already installed
-      <application>xulrunner</application>.
-    </para>
 
     <para>
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision d7513fd315b7b6754de601b128963c8ace10ee9e)
+++ xsoft/other/thunderbird.xml	(revision 591858f228f63e0887122163f1ad1d4ec06e8563)
@@ -9,8 +9,8 @@
   <!ENTITY thunderbird-download-ftp
            "&mozilla-ftp;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.bz2">
-  <!ENTITY thunderbird-md5sum            "e3be03513d038bbbcf8cca8a3652170b">
+  <!ENTITY thunderbird-md5sum            "31f07c3911d1d6772831195af64db963">
   <!ENTITY thunderbird-size              "109 MB">
-  <!ENTITY thunderbird-buildsize         "3.2 GB (90 MB installed)">
-  <!ENTITY thunderbird-time              "35 SBU">
+  <!ENTITY thunderbird-buildsize         "3.1 GB (90 MB installed)">
+  <!ENTITY thunderbird-time              "29 SBU">
 ]>
 