Index: xsoft/suites/koffice/koffice-desc.xml
===================================================================
--- xsoft/suites/koffice/koffice-desc.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
+++ xsoft/suites/koffice/koffice-desc.xml	(revision 595004f16ab28c2d6c4ea41182c1b0542bef1b97)
@@ -2,46 +2,19 @@
 <title>Contents</title>
 <para>The <application>KOffice</application> package provides
-<command>kword</command>,
+<command>karbon</command>,
+<command>kchart</command>,
+<command>kformula</command>,
+<command>kivio</command>,
+<command>koconverter</command>,
+<command>koscript</command>,
+<command>koshell</command>,
+<command>kprconverter.pl</command>,
+<command>kpresenter</command>,
 <command>kspread</command>,
-<command>kpresenter</command>,
-<command>kivio</command>,
-<command>kontour</command>,
-<command>krita</command>,
-<command>kugar</command>,
-<command>kplato</command>,
-<command>kchart</command> and
-<command>kformula</command>.
+<command>kthesaurus</command>,
+<command>kudesigner</command>,
+<command>kugar</command> and
+<command>kword</command>.
 </para>
-
-<sect3><title>kword</title>
-<para><command>kword</command> is a framemaker-like word processing and
-desktop publishing program.</para></sect3>
-
-<sect3><title>kspread</title>
-<para><command>kspread</command> is a scriptable spreadsheet
-program.</para></sect3>
-
-<sect3><title>kpresenter</title>
-<para><command>kpresenter</command> is a presentation builder/display
-program.</para></sect3>
-
-<sect3><title>kivio</title>
-<para><command>kivio</command> is a flowchart program.</para></sect3>
-
-<sect3><title>kontour</title>
-<para><command>kontour</command> is a vector drawing
-program.</para></sect3>
-
-<sect3><title>krita</title>
-<para><command>krita</command> is a painting and image editing
-program.</para></sect3>
-
-<sect3><title>kugar</title>
-<para><command>kugar</command> is a tool for creating
-reports.</para></sect3>
-
-<sect3><title>kplato</title>
-<para><command>kplato</command> is a project management application (in
-early stages of development).</para></sect3>
 
 <sect3><title>kchart</title>
@@ -52,3 +25,22 @@
 <para><command>kformula</command> is a formula editor.</para></sect3>
 
+<sect3><title>kivio</title>
+<para><command>kivio</command> is a flowchart program.</para></sect3>
+
+<sect3><title>kpresenter</title>
+<para><command>kpresenter</command> is a presentation builder/display
+program.</para></sect3>
+
+<sect3><title>kspread</title>
+<para><command>kspread</command> is a scriptable spreadsheet
+program.</para></sect3>
+
+<sect3><title>kugar</title>
+<para><command>kugar</command> is a tool for creating
+reports.</para></sect3>
+
+<sect3><title>kword</title>
+<para><command>kword</command> is a framemaker-like word processing and
+desktop publishing program.</para></sect3>
+
 </sect2>
Index: xsoft/suites/koffice/koffice-inst.xml
===================================================================
--- xsoft/suites/koffice/koffice-inst.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
+++ xsoft/suites/koffice/koffice-inst.xml	(revision 595004f16ab28c2d6c4ea41182c1b0542bef1b97)
@@ -6,5 +6,6 @@
 
 <screen><userinput><command>export QTDIR=/opt/qt 
-./configure --prefix=&kde-dir; --disable-debug &amp;&amp;
+./configure --prefix=&kde-dir; --disable-debug \
+    --disable-dependency-tracking &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: xsoft/suites/koffice/koffice-intro.xml
===================================================================
--- xsoft/suites/koffice/koffice-intro.xml	(revision 9904475df93ee056aae5a945d352fd782aff4159)
+++ xsoft/suites/koffice/koffice-intro.xml	(revision 595004f16ab28c2d6c4ea41182c1b0542bef1b97)
@@ -21,4 +21,14 @@
 <sect4><title>Required</title>
 <para><xref linkend="kde-base"/></para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="libart_lgpl"/>,
+<xref linkend="Python"/>,
+<xref linkend="libxml2"/>,
+<xref linkend="libxslt"/>,
+<xref linkend="aspell"/>,
+<xref linkend="imagemagick"/> and
+<ulink url="http://sourceforge.net/projects/wvware/">libwv2</ulink>
+</para></sect4>
 </sect3>
 </sect2>
@@ -28,6 +38,6 @@
 <para>KOffice has many internationalization packages in the form
 of:
-<screen>koffice-i18n-xx-&koffice-version;.tar.bz2</screen>
-where the xx is a two to five letter code for the country covered. The
-sizes of these files range from about 0.4 MB to 3.7 MB.</para>
+<screen>koffice-i18n-<replaceable>xx</replaceable>-&koffice-version;.tar.bz2</screen>
+where the <replaceable>xx</replaceable> is a two to five letter code for the country covered. The
+sizes of these files range from about 0.5 MB to 4.0 MB.</para>
 </sect2>
Index: xsoft/suites/koffice/koffice.ent
===================================================================
--- xsoft/suites/koffice/koffice.ent	(revision 9904475df93ee056aae5a945d352fd782aff4159)
+++ xsoft/suites/koffice/koffice.ent	(revision 595004f16ab28c2d6c4ea41182c1b0542bef1b97)
@@ -3,8 +3,8 @@
 <!ENTITY koffice-inst SYSTEM "koffice-inst.xml">
 <!ENTITY koffice-desc SYSTEM "koffice-desc.xml">
-<!ENTITY koffice-version "1.2.93">
-<!ENTITY koffice-download-http "http://download.at.kde.org/pub/kde/unstable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
-<!ENTITY koffice-download-ftp "ftp://ftp.kde.org/pub/kde/unstable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
-<!ENTITY koffice-size "10.3 MB">
-<!ENTITY koffice-buildsize "181 MB">
-<!ENTITY koffice-time "30.8 SBU">
+<!ENTITY koffice-version "1.3">
+<!ENTITY koffice-download-http "">
+<!ENTITY koffice-download-ftp "ftp://ftp.kde.org/pub/kde/stable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
+<!ENTITY koffice-size "11 MB">
+<!ENTITY koffice-buildsize "152 MB">
+<!ENTITY koffice-time "17.2 SBU">