Index: general/general.ent
===================================================================
--- general/general.ent	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ general/general.ent	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -58,4 +58,6 @@
 <!ENTITY % libungif SYSTEM "graphlib/libungif/libungif.ent">
 <!ENTITY % libmng SYSTEM "graphlib/libmng/libmng.ent">
+<!ENTITY % freetype2 SYSTEM "graphlib/freetype2/freetype2.ent">
+<!ENTITY % fontconfig SYSTEM "graphlib/fontconfig/fontconfig.ent">
 <!ENTITY % imlib SYSTEM "graphlib/imlib/imlib.ent">
 <!ENTITY % aalib SYSTEM "graphlib/aalib/aalib.ent">
@@ -69,4 +71,6 @@
 %libungif;
 %libmng;
+%freetype2;
+%fontconfig;
 %imlib;
 %aalib;
Index: general/graphlib/fontconfig.xml
===================================================================
--- general/graphlib/fontconfig.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/fontconfig.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,10 @@
+<sect1 id="fontconfig" xreflabel="Fontconfig-&fontconfig-version;">
+<?dbhtml filename="fontconfig.html" dir="general"?>
+<title>Fontconfig-&fontconfig-version;</title>
+
+&fontconfig-intro;
+&fontconfig-inst;
+&fontconfig-config;
+&fontconfig-desc;
+
+</sect1>
Index: general/graphlib/fontconfig/fontconfig-config.xml
===================================================================
--- general/graphlib/fontconfig/fontconfig-config.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/fontconfig/fontconfig-config.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,37 @@
+<sect2>
+<title>Configuring <application>Fontconfig</application></title>
+
+<sect3><title>Configuration Information</title>
+
+<para>The configuration file for <application>Fontconfig</application> is <filename>/etc/fonts/fonts.conf</filename>.
+Generally you do not want to edit this file.  To put a new font directory
+in the configuration, update the file, <filename>/etc/fonts/local.conf</filename> with your local
+information.  The default location of fonts in
+<application>Fontconfig</application> is:</para>
+<itemizedlist spacing='compact'>
+<listitem><para>/usr/share/fonts</para></listitem>
+<listitem><para>~/.fonts</para></listitem>
+</itemizedlist>
+
+<para>Because we have not built <application>XFree86</application> yet, put the following directory entries
+into <filename>/etc/fonts/local.conf</filename>, inside the fontconfig
+tags:</para>
+<itemizedlist spacing='compact'> 
+<listitem><para>&lt;dir&gt;/usr/X11R6/lib/X11/fonts/TTF&lt;/dir&gt;</para></listitem>
+<listitem><para>&lt;dir&gt;/usr/X11R6/lib/X11/fonts/Type1&lt;/dir&gt;</para></listitem>
+<listitem><para>&lt;dir&gt;/usr/X11R6/lib/X11/fonts/truetype&lt;/dir&gt;</para></listitem>
+</itemizedlist>
+
+<para>The <application>Fontconfig</application> program will automatically search the above directories
+and all subdirectories for needed fonts.</para>
+
+<note><para><application>X</application> also includes an internal (and
+older) version of <application>Fontconfig</application>
+and unless it is explicitly disabled when building
+<application>XFree86</application>, the internal
+version is created leaving two slightly incompatible libraries on your system.
+It is recommended that you only install one version.</para></note>
+
+</sect3>
+
+</sect2>
Index: general/graphlib/fontconfig/fontconfig-desc.xml
===================================================================
--- general/graphlib/fontconfig/fontconfig-desc.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/fontconfig/fontconfig-desc.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Fontconfig</application> package contains the
+<filename class='libraryfile'>libfontconfig</filename> library,
+<command>fc-cache</command>, and <command>fc-list</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>fc-cache</title>
+<para><command>fc-cache</command> is a command to create font information
+caches.</para></sect3>
+
+<sect3><title>fc-list</title>
+<para><command>fc-list</command> is a command to list fonts.</para></sect3>
+
+</sect2>
+
Index: general/graphlib/fontconfig/fontconfig-inst.xml
===================================================================
--- general/graphlib/fontconfig/fontconfig-inst.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/fontconfig/fontconfig-inst.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of <application>Fontconfig</application></title>
+
+<para>Install <application>Fontconfig</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: general/graphlib/fontconfig/fontconfig-intro.xml
===================================================================
--- general/graphlib/fontconfig/fontconfig-intro.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/fontconfig/fontconfig-intro.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,32 @@
+<sect2>
+<title>Introduction to <application>Fontconfig</application></title>
+
+<para>The <application>Fontconfig</application> package is a library
+for configuring and customizing font access.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&fontconfig-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&fontconfig-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &fontconfig-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&fontconfig-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&fontconfig-time;</para></listitem></itemizedlist>
+
+<note><para>The numbering system of
+<application>Fontconfig</application> is unusual.  The beta versions of the
+package are numbered with a 9x in the last portion of the release number.  This
+means that 2.2.90 is a beta release and the most current release is of the form 
+2.2.1</para></note>
+
+</sect3>
+
+<sect3><title><application>Fontconfig</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="freetype2"/>, and <xref linkend="expat"/> </para></sect4>
+</sect3>
+
+</sect2>
Index: general/graphlib/fontconfig/fontconfig.ent
===================================================================
--- general/graphlib/fontconfig/fontconfig.ent	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/fontconfig/fontconfig.ent	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,11 @@
+<!ENTITY fontconfig SYSTEM "../fontconfig.xml">
+<!ENTITY fontconfig-intro SYSTEM "fontconfig-intro.xml">
+<!ENTITY fontconfig-inst SYSTEM "fontconfig-inst.xml">
+<!ENTITY fontconfig-config SYSTEM "fontconfig-config.xml">
+<!ENTITY fontconfig-desc SYSTEM "fontconfig-desc.xml">
+<!ENTITY fontconfig-version "2.2.1">
+<!ENTITY fontconfig-download-http "http://pdx.freedesktop.org/software/fontconfig/releases/fontconfig-&fontconfig-version;.tar.gz">
+<!ENTITY fontconfig-download-ftp "ftp://ftp.us.sinuspl.net/pub/src/fontconfig-&fontconfig-version;.tar.gz">
+<!ENTITY fontconfig-size "600 KB">
+<!ENTITY fontconfig-buildsize "9.6 MB">
+<!ENTITY fontconfig-time "0.19 SBU">
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/freetype2.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,11 @@
+<sect1 id="freetype2" xreflabel="FreeType-&freetype2-version;">
+<?dbhtml filename="freetype2.html" dir="x"?>
+<title>FreeType-&freetype2-version;</title>
+
+&freetype2-intro;
+&freetype2-inst;
+&freetype2-exp;
+&freetype2-desc;
+
+</sect1>
+
Index: general/graphlib/freetype2/freetype2-desc.xml
===================================================================
--- general/graphlib/freetype2/freetype2-desc.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/freetype2/freetype2-desc.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>FreeType2</application> package contains
+<filename class="libraryfile">
+libfreetype</filename> libraries.</para>
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>FreeType2 libraries</title>
+<para><application>FreeType2</application> libraries add
+<application>TrueType</application> font 
+capabilities to <application>XFree86</application>.</para></sect3>
+
+</sect2>
+
Index: general/graphlib/freetype2/freetype2-exp.xml
===================================================================
--- general/graphlib/freetype2/freetype2-exp.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/freetype2/freetype2-exp.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><command>sed ... include/freetype/config/ftoption.h</command>: We 
+are enabling the <application>TrueType</application> bytecode interpreter before building the
+library.</para>
+
+</sect2>
Index: general/graphlib/freetype2/freetype2-inst.xml
===================================================================
--- general/graphlib/freetype2/freetype2-inst.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/freetype2/freetype2-inst.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Installation of <application>FreeType2</application></title>
+
+<para>Install <application>FreeType2</application> by running the following 
+commands:</para>
+
+<screen><userinput><command>patch -Np1 -i ../freetype-&freetype2-version;-ahhint.patch &amp;&amp;
+sed -i "s%\/\* #define  TT_CONFIG_OPTION_BYTECODE_INTERPRETER \*\/%#define  TT_CONFIG_OPTION_BYTECODE_INTERPRETER%" \
+include/freetype/config/ftoption.h &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+<!--
+<note><para>The <userinput>make install</userinput> process does not uninstall older versions of freetype2.  
+If installing an upgrade, you may want to remove the older libfreetype.so.x.x.x.</para></note>
+-->
+
+</sect2>
Index: general/graphlib/freetype2/freetype2-intro.xml
===================================================================
--- general/graphlib/freetype2/freetype2-intro.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/freetype2/freetype2-intro.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,27 @@
+<sect2>
+<title>Introduction to <application>FreeType2</application></title>
+
+<para>The <application>FreeType2</application> package contains a library to 
+allow <application>XFree86</application> to properly render
+<application>TrueType</application> fonts.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&freetype2-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&freetype2-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &freetype2-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&freetype2-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&freetype2-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required Patch: <ulink
+url="&patch-root;/freetype-2.1.5-ahhint.patch"/></para></listitem>
+</itemizedlist></sect3>
+
+</sect2>
Index: general/graphlib/freetype2/freetype2.ent
===================================================================
--- general/graphlib/freetype2/freetype2.ent	(revision 597296d3370957e1971b23a62310d9055c600c4a)
+++ general/graphlib/freetype2/freetype2.ent	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -0,0 +1,11 @@
+<!ENTITY freetype2 SYSTEM "../freetype2.xml">
+<!ENTITY freetype2-intro SYSTEM "freetype2-intro.xml">
+<!ENTITY freetype2-inst SYSTEM "freetype2-inst.xml">
+<!ENTITY freetype2-exp SYSTEM "freetype2-exp.xml">
+<!ENTITY freetype2-desc SYSTEM "freetype2-desc.xml">
+<!ENTITY freetype2-version "2.1.5">
+<!ENTITY freetype2-download-http "http://telia.dl.sourceforge.net/sourceforge/freetype/freetype-&freetype2-version;.tar.bz2">
+<!ENTITY freetype2-download-ftp "ftp://ftp.pu.edu.tw/Unix/Graphics/freetype/freetype2/freetype-&freetype2-version;.tar.bz2">
+<!ENTITY freetype2-size "831 KB">
+<!ENTITY freetype2-buildsize "22 MB">
+<!ENTITY freetype2-time "0.35 SBU">
Index: general/graphlib/graphlib.xml
===================================================================
--- general/graphlib/graphlib.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ general/graphlib/graphlib.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -1,8 +1,8 @@
 <chapter id="general-graphlib">
 <?dbhtml filename="graphlib.html" dir="general"?>
-<title>Graphics Libraries</title>
+<title>Graphics and Font Libraries</title>
 
 <para>Depending on what your system will be used for, you may or
-may not require the graphics libraries.  Most desktop machines will 
+may not require the graphics and font libraries. Most desktop machines will 
 want them for use with graphical applications.  Most servers on the 
 other hand, will not require them.</para>
@@ -14,4 +14,6 @@
 &libungif;
 &libmng;
+&freetype2;
+&fontconfig;
 &imlib;
 &aalib;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ introduction/welcome/changelog.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>February 1st, 2004 [tushar]: Moved
+freetype2 and fontconfig to graphics and font sections.</para></listitem>
 
 <listitem><para>February 1st, 2004 [tushar]: Added
Index: lib/fontconfig.xml
===================================================================
--- x/lib/fontconfig.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect1 id="fontconfig" xreflabel="Fontconfig-&fontconfig-version;">
-<?dbhtml filename="fontconfig.html" dir="general"?>
-<title>Fontconfig-&fontconfig-version;</title>
-
-&fontconfig-intro;
-&fontconfig-inst;
-&fontconfig-config;
-&fontconfig-desc;
-
-</sect1>
Index: lib/fontconfig/fontconfig-config.xml
===================================================================
--- x/lib/fontconfig/fontconfig-config.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<sect2>
-<title>Configuring <application>Fontconfig</application></title>
-
-<sect3><title>Configuration Information</title>
-
-<para>The configuration file for <application>Fontconfig</application> is <filename>/etc/fonts/fonts.conf</filename>.
-Generally you do not want to edit this file.  To put a new font directory
-in the configuration, update the file, <filename>/etc/fonts/local.conf</filename> with your local
-information.  The default location of fonts in
-<application>Fontconfig</application> is:</para>
-<itemizedlist spacing='compact'>
-<listitem><para>/usr/share/fonts</para></listitem>
-<listitem><para>~/.fonts</para></listitem>
-</itemizedlist>
-
-<para>Because we have not built <application>XFree86</application> yet, put the following directory entries
-into <filename>/etc/fonts/local.conf</filename>, inside the fontconfig
-tags:</para>
-<itemizedlist spacing='compact'> 
-<listitem><para>&lt;dir&gt;/usr/X11R6/lib/X11/fonts/TTF&lt;/dir&gt;</para></listitem>
-<listitem><para>&lt;dir&gt;/usr/X11R6/lib/X11/fonts/Type1&lt;/dir&gt;</para></listitem>
-<listitem><para>&lt;dir&gt;/usr/X11R6/lib/X11/fonts/truetype&lt;/dir&gt;</para></listitem>
-</itemizedlist>
-
-<para>The <application>Fontconfig</application> program will automatically search the above directories
-and all subdirectories for needed fonts.</para>
-
-<note><para><application>X</application> also includes an internal (and
-older) version of <application>Fontconfig</application>
-and unless it is explicitly disabled when building
-<application>XFree86</application>, the internal
-version is created leaving two slightly incompatible libraries on your system.
-It is recommended that you only install one version.</para></note>
-
-</sect3>
-
-</sect2>
Index: lib/fontconfig/fontconfig-desc.xml
===================================================================
--- x/lib/fontconfig/fontconfig-desc.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,20 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The <application>Fontconfig</application> package contains the
-<filename class='libraryfile'>libfontconfig</filename> library,
-<command>fc-cache</command>, and <command>fc-list</command>.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>fc-cache</title>
-<para><command>fc-cache</command> is a command to create font information
-caches.</para></sect3>
-
-<sect3><title>fc-list</title>
-<para><command>fc-list</command> is a command to list fonts.</para></sect3>
-
-</sect2>
-
Index: lib/fontconfig/fontconfig-inst.xml
===================================================================
--- x/lib/fontconfig/fontconfig-inst.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Installation of <application>Fontconfig</application></title>
-
-<para>Install <application>Fontconfig</application> by running the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
Index: lib/fontconfig/fontconfig-intro.xml
===================================================================
--- x/lib/fontconfig/fontconfig-intro.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<sect2>
-<title>Introduction to <application>Fontconfig</application></title>
-
-<para>The <application>Fontconfig</application> package is a library
-for configuring and customizing font access.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&fontconfig-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&fontconfig-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &fontconfig-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&fontconfig-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&fontconfig-time;</para></listitem></itemizedlist>
-
-<note><para>The numbering system of
-<application>Fontconfig</application> is unusual.  The beta versions of the
-package are numbered with a 9x in the last portion of the release number.  This
-means that 2.2.90 is a beta release and the most current release is of the form 
-2.2.1</para></note>
-
-</sect3>
-
-<sect3><title><application>Fontconfig</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="freetype2"/>, and <xref linkend="expat"/> </para></sect4>
-</sect3>
-
-</sect2>
Index: lib/fontconfig/fontconfig.ent
===================================================================
--- x/lib/fontconfig/fontconfig.ent	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<!ENTITY fontconfig SYSTEM "../fontconfig.xml">
-<!ENTITY fontconfig-intro SYSTEM "fontconfig-intro.xml">
-<!ENTITY fontconfig-inst SYSTEM "fontconfig-inst.xml">
-<!ENTITY fontconfig-config SYSTEM "fontconfig-config.xml">
-<!ENTITY fontconfig-desc SYSTEM "fontconfig-desc.xml">
-<!ENTITY fontconfig-version "2.2.1">
-<!ENTITY fontconfig-download-http "http://pdx.freedesktop.org/software/fontconfig/releases/fontconfig-&fontconfig-version;.tar.gz">
-<!ENTITY fontconfig-download-ftp "ftp://ftp.us.sinuspl.net/pub/src/fontconfig-&fontconfig-version;.tar.gz">
-<!ENTITY fontconfig-size "600 KB">
-<!ENTITY fontconfig-buildsize "9.6 MB">
-<!ENTITY fontconfig-time "0.19 SBU">
Index: lib/freetype2.xml
===================================================================
--- x/lib/freetype2.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect1 id="freetype2" xreflabel="FreeType-&freetype2-version;">
-<?dbhtml filename="freetype2.html" dir="x"?>
-<title>FreeType-&freetype2-version;</title>
-
-&freetype2-intro;
-&freetype2-inst;
-&freetype2-exp;
-&freetype2-desc;
-
-</sect1>
-
Index: lib/freetype2/freetype2-desc.xml
===================================================================
--- x/lib/freetype2/freetype2-desc.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The <application>FreeType2</application> package contains
-<filename class="libraryfile">
-libfreetype</filename> libraries.</para>
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>FreeType2 libraries</title>
-<para><application>FreeType2</application> libraries add
-<application>TrueType</application> font 
-capabilities to <application>XFree86</application>.</para></sect3>
-
-</sect2>
-
Index: lib/freetype2/freetype2-exp.xml
===================================================================
--- x/lib/freetype2/freetype2-exp.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><command>sed ... include/freetype/config/ftoption.h</command>: We 
-are enabling the <application>TrueType</application> bytecode interpreter before building the
-library.</para>
-
-</sect2>
Index: lib/freetype2/freetype2-inst.xml
===================================================================
--- x/lib/freetype2/freetype2-inst.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<sect2>
-<title>Installation of <application>FreeType2</application></title>
-
-<para>Install <application>FreeType2</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>patch -Np1 -i ../freetype-&freetype2-version;-ahhint.patch &amp;&amp;
-sed -i "s%\/\* #define  TT_CONFIG_OPTION_BYTECODE_INTERPRETER \*\/%#define  TT_CONFIG_OPTION_BYTECODE_INTERPRETER%" \
-include/freetype/config/ftoption.h &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-<!--
-<note><para>The <userinput>make install</userinput> process does not uninstall older versions of freetype2.  
-If installing an upgrade, you may want to remove the older libfreetype.so.x.x.x.</para></note>
--->
-
-</sect2>
Index: lib/freetype2/freetype2-intro.xml
===================================================================
--- x/lib/freetype2/freetype2-intro.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<sect2>
-<title>Introduction to <application>FreeType2</application></title>
-
-<para>The <application>FreeType2</application> package contains a library to 
-allow <application>XFree86</application> to properly render
-<application>TrueType</application> fonts.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&freetype2-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&freetype2-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &freetype2-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&freetype2-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&freetype2-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
-url="&patch-root;/freetype-2.1.5-ahhint.patch"/></para></listitem>
-</itemizedlist></sect3>
-
-</sect2>
Index: lib/freetype2/freetype2.ent
===================================================================
--- x/lib/freetype2/freetype2.ent	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<!ENTITY freetype2 SYSTEM "../freetype2.xml">
-<!ENTITY freetype2-intro SYSTEM "freetype2-intro.xml">
-<!ENTITY freetype2-inst SYSTEM "freetype2-inst.xml">
-<!ENTITY freetype2-exp SYSTEM "freetype2-exp.xml">
-<!ENTITY freetype2-desc SYSTEM "freetype2-desc.xml">
-<!ENTITY freetype2-version "2.1.5">
-<!ENTITY freetype2-download-http "http://telia.dl.sourceforge.net/sourceforge/freetype/freetype-&freetype2-version;.tar.bz2">
-<!ENTITY freetype2-download-ftp "ftp://ftp.pu.edu.tw/Unix/Graphics/freetype/freetype2/freetype-&freetype2-version;.tar.bz2">
-<!ENTITY freetype2-size "831 KB">
-<!ENTITY freetype2-buildsize "22 MB">
-<!ENTITY freetype2-time "0.35 SBU">
Index: x/lib/lib.xml
===================================================================
--- x/lib/lib.xml	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ x/lib/lib.xml	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -13,6 +13,4 @@
 assist programmers by supplying common elements.</para> 
 
-&freetype2;
-&fontconfig;
 &qt;
 &GTK;
Index: x/x.ent
===================================================================
--- x/x.ent	(revision e6d6193c0f015f96426846aeab30b6290aaf3250)
+++ x/x.ent	(revision 597296d3370957e1971b23a62310d9055c600c4a)
@@ -9,6 +9,4 @@
 <!-- X Libraries -->
 <!ENTITY x-lib SYSTEM "lib/lib.xml">
-<!ENTITY % freetype SYSTEM "lib/freetype2/freetype2.ent">
-<!ENTITY % fontconfig SYSTEM "lib/fontconfig/fontconfig.ent">
 <!ENTITY % lesstif SYSTEM "lib/lesstif/lesstif.ent">
 <!ENTITY % qt SYSTEM "lib/qt/qt.ent">
@@ -19,6 +17,4 @@
 <!ENTITY % fnlib SYSTEM "lib/fnlib/fnlib.ent">
 <!ENTITY % startup-notification SYSTEM "lib/notification/startup-notification.ent">
-%freetype;
-%fontconfig;
 %lesstif;
 %qt;