Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 478e595b8b61baa0f17e75062776c06f653cc472)
+++ introduction/welcome/changelog.xml	(revision 631791c132e489d8fd6801bf8011fd77f3612005)
@@ -46,4 +46,16 @@
       <itemizedlist>
         <listitem>
+          <para>[pierre] - Update to Qupzilla-2.2.6. Fixes
+          <ulink url="&blfs-ticket-root;10535">#10535</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to gnumeric-1.12.39. Fixes
+          <ulink url="&blfs-ticket-root;10536">#10536</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to goffice-0.10.39. Fixes
+          <ulink url="&blfs-ticket-root;10534">#10534</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Reinstate autotools build in glib-2.56.0: meson
            build is not ready yet.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 478e595b8b61baa0f17e75062776c06f653cc472)
+++ packages.ent	(revision 631791c132e489d8fd6801bf8011fd77f3612005)
@@ -567,5 +567,5 @@
 <!ENTITY gdk-pixbuf-version           "2.36.11">
 <!ENTITY glu-version                  "9.0.0">
-<!ENTITY goffice010-version           "0.10.38">
+<!ENTITY goffice010-version           "0.10.39">
 <!ENTITY gtk2-version                 "2.24.32">
 <!ENTITY gtk3-version                 "3.22.29">
@@ -723,5 +723,5 @@
 <!-- Chapter 42 -->
 <!ENTITY AbiWord-version              "3.0.2">
-<!ENTITY gnumeric-version             "1.12.38">
+<!ENTITY gnumeric-version             "1.12.39">
 <!ENTITY gnucash-version              "2.4.11">
 
@@ -735,5 +735,5 @@
 <!ENTITY firefox-version              "59.0.1">
 <!ENTITY flashplayer-version          "27.0.0.187">
-<!ENTITY qupzilla-version             "2.2.5">
+<!ENTITY qupzilla-version             "2.2.6">
 <!ENTITY seamonkey-version            "2.49.2">
 
Index: x/lib/goffice010.xml
===================================================================
--- x/lib/goffice010.xml	(revision 478e595b8b61baa0f17e75062776c06f653cc472)
+++ x/lib/goffice010.xml	(revision 631791c132e489d8fd6801bf8011fd77f3612005)
@@ -9,8 +9,8 @@
   <!ENTITY goffice010-download-ftp
             "&gnome-download-ftp;/goffice/0.10/goffice-&goffice010-version;.tar.xz">
-  <!ENTITY goffice010-md5sum        "e6e52c7a3bb289a709227f6510f8fbee">
-  <!ENTITY goffice010-size          "2.3 MB">
-  <!ENTITY goffice010-buildsize     "80 MB (with tests)">
-  <!ENTITY goffice010-time          "0.4 SBU (using parallelism=4; with tests)">
+  <!ENTITY goffice010-md5sum        "014ef63a46810b89b0ba5066fd2569cd">
+  <!ENTITY goffice010-size          "2.2 MB">
+  <!ENTITY goffice010-buildsize     "99 MB (with tests)">
+  <!ENTITY goffice010-time          "1.2 SBU (with tests)">
 ]>
 
Index: xsoft/graphweb/qupzilla.xml
===================================================================
--- xsoft/graphweb/qupzilla.xml	(revision 478e595b8b61baa0f17e75062776c06f653cc472)
+++ xsoft/graphweb/qupzilla.xml	(revision 631791c132e489d8fd6801bf8011fd77f3612005)
@@ -10,8 +10,8 @@
   <!ENTITY qupzilla-download-http "https://github.com/QupZilla/qupzilla/releases/download/v&qupzilla-version;/QupZilla-&qupzilla-version;.tar.xz">
   <!ENTITY qupzilla-download-ftp  " ">
-  <!ENTITY qupzilla-md5sum        "189ddab8c638412fd5072a3fdf548618">
+  <!ENTITY qupzilla-md5sum        "869448eadaef62f1b2e31bf038f33f52">
   <!ENTITY qupzilla-size          "2.4 MB">
-  <!ENTITY qupzilla-buildsize     "66 MB">
-  <!ENTITY qupzilla-time          "1.3 SBU (using parallelism=4)">
+  <!ENTITY qupzilla-buildsize     "81 MB">
+  <!ENTITY qupzilla-time          "5.4 SBU">
 ]>
 
@@ -123,4 +123,6 @@
       Now, as the <systemitem class="username">root</systemitem> user:
     </para>
+
+<!-- dev note: for "DESTDIR" install use "make INSTALL_ROOT=<dest> install" -->
 
 <screen role="root"><userinput>make install</userinput></screen>
Index: xsoft/office/gnumeric.xml
===================================================================
--- xsoft/office/gnumeric.xml	(revision 478e595b8b61baa0f17e75062776c06f653cc472)
+++ xsoft/office/gnumeric.xml	(revision 631791c132e489d8fd6801bf8011fd77f3612005)
@@ -7,8 +7,8 @@
   <!ENTITY gnumeric-download-http "&gnome-download-http;/gnumeric/1.12/gnumeric-&gnumeric-version;.tar.xz">
   <!ENTITY gnumeric-download-ftp  "&gnome-download-ftp;/gnumeric/1.12/gnumeric-&gnumeric-version;.tar.xz">
-  <!ENTITY gnumeric-md5sum        "03fb2a71ffa9139f1da1f6e90aec2967">
+  <!ENTITY gnumeric-md5sum        "0c23038c6434aa7fdeb22533dcea39c0">
   <!ENTITY gnumeric-size          "19 MB">
-  <!ENTITY gnumeric-buildsize     "279 MB (add 4 MB for tests)">
-  <!ENTITY gnumeric-time          "1.0 SBU (using parallelism=4; add 11 SBU for tests)">
+  <!ENTITY gnumeric-buildsize     "332 MB (add 84 MB for tests)">
+  <!ENTITY gnumeric-time          "2.9 SBU (add 1.4 SBU for tests without valgrind)">
 ]>
 
@@ -149,9 +149,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-
-    <para>
-      <command>sed -e "s@zz-application/zz-winassoc-xls;@@" ...</command>: This
-      sed removes an invalid mime type from the .desktop file.
-    </para>
 
     <para>