Index: general/graphlib/potrace.xml
===================================================================
--- general/graphlib/potrace.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
+++ general/graphlib/potrace.xml	(revision 640549f1b20a0fcb393263b2c0a342bce5a91a2d)
@@ -9,5 +9,5 @@
   <!ENTITY potrace-md5sum        "60cecdaa9d14e0008f96b68dce77d246">
   <!ENTITY potrace-size          "636 KB">
-  <!ENTITY potrace-buildsize     "7.5 MB (including tests)">
+  <!ENTITY potrace-buildsize     "7.1 MB (including tests)">
   <!ENTITY potrace-time          "less than 0.1 SBU (including tests)">
 ]>
@@ -101,5 +101,6 @@
 
     <para>
-      To run the test suite, issue: <command>make check</command>.
+      To run the test suite, issue: <command>make check</command>. Two
+      tests are known to fail.
     </para>
 
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
+++ general/prog/vala.xml	(revision 640549f1b20a0fcb393263b2c0a342bce5a91a2d)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "50bf4fecec02104138e9e1cc2fcce2d6">
+  <!ENTITY vala-md5sum        "06c59155e411b773f9c6b199110349b9">
   <!ENTITY vala-size          "3.2 MB">
-  <!ENTITY vala-buildsize     "171 MB (add 10 MB for tests)">
-  <!ENTITY vala-time          "0.5 SBU (using parallelism=4; add 1.5 SBU for tests)">
+  <!ENTITY vala-buildsize     "171 MB (add 9 MB for tests)">
+  <!ENTITY vala-time          "0.5 SBU (using parallelism=4; add 1.6 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
+++ introduction/welcome/changelog.xml	(revision 640549f1b20a0fcb393263b2c0a342bce5a91a2d)
@@ -46,42 +46,50 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to vala-0.46.1. Fixes
+          <ulink url="&blfs-ticket-root;12540">#12540</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to potrace-1.16. Fixes
+          <ulink url="&blfs-ticket-root;12539">#12539</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to gedit-3.34.0. Fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to gnome-terminal-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to gnome-maps-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to gnome-disk-utility-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to gnome-calculator-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to file-roller-3.32.2. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to evolution-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to eog-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to cheese-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to baobab-3.34.0. Partially fixes
-          <ulink url="&blfs-ticket-root;12549">#12501</ulink>.</para>
+          <ulink url="&blfs-ticket-root;12501">#12501</ulink>.</para>
         </listitem>
         <listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4184d4d4ca8e7c508f2025df6e2e51c766106457)
+++ packages.ent	(revision 640549f1b20a0fcb393263b2c0a342bce5a91a2d)
@@ -222,5 +222,5 @@
 <!ENTITY pixman-version               "0.38.4">   <!-- Even minors only -->
 <!ENTITY poppler-version              "0.80.0">
-<!ENTITY potrace-version              "1.15">
+<!ENTITY potrace-version              "1.16">
 <!ENTITY qpdf-version                 "9.0.0">
 <!ENTITY libsass-version              "3.6.1">
@@ -343,5 +343,5 @@
 <!ENTITY tk-version                   "8.6.9">
 <!ENTITY vala-major-version           "0.46">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.0">
+<!ENTITY vala-version                 "&vala-major-version;.1">
 <!ENTITY valgrind-version             "3.15.0">
 <!ENTITY yasm-version                 "1.3.0">