Index: general.ent
===================================================================
--- general.ent	(revision 0e50c5e67b5abc6088b3bd1ec1a67bb8728c98de)
+++ general.ent	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -513,4 +513,5 @@
 <!ENTITY gst-plugins-version          "0.8.11">
 <!ENTITY libmusicbrainz-version       "2.1.1">
+<!ENTITY libmpeg2-version             "0.4.0b">
 
 <!-- Chapter 38 -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0e50c5e67b5abc6088b3bd1ec1a67bb8728c98de)
+++ introduction/welcome/changelog.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Added new package libmpeg2-0.4.0b.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to Transcode-1.0.1.</para>
         </listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 0e50c5e67b5abc6088b3bd1ec1a67bb8728c98de)
+++ introduction/welcome/credits.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -222,9 +222,9 @@
         additions), HAL, Heimdal, HTML Tidy, ISO Codes, JadeTeX, Java Access
         Bridge, LessTif (rewrite), libexif, libgail-gnome, libgnomecups,
-        libmusicbrainz, MPlayer (extensive overhaul), Other Programming Tools,
-        PDL, Perl Modules, pilot-link, Poppler, PyXML, Samba 3 (many
-        additions), Shadow (rewrite), SANE (original instructions by Alex
-        Kloss), SLIB, Stunnel, Sysstat, system-tools-backends, Totem and
-        unixODBC:
+        libmpeg2, libmusicbrainz, MPlayer (extensive overhaul), Other
+        Programming Tools, PDL, Perl Modules, pilot-link, Poppler, PyXML,
+        Samba 3 (many additions), Shadow (rewrite), SANE (original instructions
+        by Alex Kloss), SLIB, Stunnel, Sysstat, system-tools-backends, Totem
+        and unixODBC:
         <emphasis>Randy McMurchy</emphasis></para>
       </listitem>
Index: multimedia/libdriv/gst-plugins.xml
===================================================================
--- multimedia/libdriv/gst-plugins.xml	(revision 0e50c5e67b5abc6088b3bd1ec1a67bb8728c98de)
+++ multimedia/libdriv/gst-plugins.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -132,5 +132,5 @@
     <xref linkend="libdvdread"/>,
     <xref linkend="libfame"/>,
-    <ulink url="http://libmpeg2.sourceforge.net/">libmpeg2</ulink>,
+    <xref linkend="libmpeg2"/>,
     <ulink url="https://cvs.comedi.org/cgi-bin/viewcvs.cgi/librfb/">librfb</ulink>,
     <ulink url="http://mjpeg.sourceforge.net/">MJPEG Tools</ulink>,
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 0e50c5e67b5abc6088b3bd1ec1a67bb8728c98de)
+++ multimedia/libdriv/libdriv.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -49,4 +49,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gst-plugins.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libmusicbrainz.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libmpeg2.xml"/>
 
 </chapter>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
+++ multimedia/libdriv/libmpeg2.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -0,0 +1,167 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libmpeg2-download-http "http://libmpeg2.sourceforge.net/files/mpeg2dec-&libmpeg2-version;.tar.gz">
+  <!ENTITY libmpeg2-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles//mpeg2dec-&libmpeg2-version;.tar.gz">
+  <!ENTITY libmpeg2-md5sum        "52d10ea80595ec83d8557ba7ac6dc8e6">
+  <!ENTITY libmpeg2-size          "473 KB">
+  <!ENTITY libmpeg2-buildsize     "7.1 MB">
+  <!ENTITY libmpeg2-time          "0.2 SBU">
+]>
+
+<sect1 id="libmpeg2" xreflabel="libmpeg2-&libmpeg2-version;">
+  <?dbhtml filename="libmpeg2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libmpeg2-&libmpeg2-version;</title>
+
+  <indexterm zone="libmpeg2">
+    <primary sortas="a-libmpeg2">libmpeg2</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libmpeg2</title>
+
+    <para>The <application>libmpeg2</application> package contains a library
+    for decoding MPEG-2 and MPEG-1 video streams. The library is able to decode
+    all MPEG streams that conform to certain restrictions: <quote>constrained
+    parameters</quote> for MPEG-1, and <quote>main profile</quote> for MPEG-2.
+    This is useful for programs and applications needing to decode MPEG-2 and
+    MPEG-1 video streams.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&libmpeg2-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&libmpeg2-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &libmpeg2-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &libmpeg2-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &libmpeg2-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &libmpeg2-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libmpeg2 Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para>X (<xref linkend="xorg"/> or <xref linkend="xfree86"/>) and
+    <xref linkend="sdl"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libmpeg2</title>
+
+    <para>Install <application>libmpeg2</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr --enable-shared &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>. To
+    perform a more comprehensive regression test, see the file
+    <filename>test/README</filename> in the source tree.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+install -v -m755 -d /usr/share/doc/mpeg2dec-0.4.0b &amp;&amp;
+install -v -m644 README doc/libmpeg2.txt \
+    /usr/share/doc/mpeg2dec-0.4.0b &amp;&amp;
+install -v -m755 doc/sample? /usr/share/doc/mpeg2dec-0.4.0b</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--enable-shared</parameter>: This parameter forces
+    building shared versions of the libraries as well as the static
+    versions.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>corrupt_mpeg2, extract_mpeg2 and mpeg2dec</seg>
+        <seg>libmpeg2.[so,a] and libmpeg2convert.[so,a]</seg>
+        <seg>/usr/include/mpeg2dec and
+        /usr/share/doc/mpeg2dec-&libmpeg2-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="extract_mpeg2">
+        <term><command>extract_mpeg2</command></term>
+        <listitem>
+          <para>extracts MPEG video streams from a multiplexed stream.</para>
+          <indexterm zone="libmpeg2 extract_mpeg2">
+            <primary sortas="b-extract_mpeg2">extract_mpeg2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mpeg2dec">
+        <term><command>mpeg2dec</command></term>
+        <listitem>
+          <para>decodes MPEG1 and MPEG2 video streams.</para>
+          <indexterm zone="libmpeg2 mpeg2dec">
+            <primary sortas="b-mpeg2dec">mpeg2dec</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libmpeg2-lib">
+        <term><filename class='libraryfile'>libmpeg2.[so,a]</filename></term>
+        <listitem>
+          <para>contains API functions used to decode MPEG video streams.</para>
+          <indexterm zone="libmpeg2 libmpeg2-lib">
+            <primary sortas="c-libmpeg2">libmpeg2.[so,a]</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libmpeg2convert">
+        <term><filename class='libraryfile'>libmpeg2convert.[so,a]</filename></term>
+        <listitem>
+          <para>contains API functions used for color conversions of MPEG
+          video streams.</para>
+          <indexterm zone="libmpeg2 libmpeg2convert">
+            <primary sortas="c-libmpeg2convert">libmpeg2convert.[so,a]</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/videoutils/transcode.xml
===================================================================
--- multimedia/videoutils/transcode.xml	(revision 0e50c5e67b5abc6088b3bd1ec1a67bb8728c98de)
+++ multimedia/videoutils/transcode.xml	(revision 642723bea058ede41332d0b600c2923423cd98df)
@@ -61,5 +61,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para><xref linkend="ffmpeg"/> and
-    <ulink url="http://libmpeg2.sourceforge.net/">libmpeg2</ulink></para>
+    <xref linkend="libmpeg2"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>