Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ introduction/welcome/changelog.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -46,4 +46,10 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to kf5-gear-22.04.1 (was kf5-apps).
+          Includes kate, kwave, and falkon. Fixes
+          <ulink url="&blfs-ticket-root;16190">#16190</ulink> and
+          <ulink url="&blfs-ticket-root;16265">#16265</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to kf5-5.94.0, including extra-cmake-modules,
           breeze-icons, and oxygen-icons5. Fixes
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/ark5.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,6 +7,6 @@
   <!ENTITY ark5-download-http "&kf5apps-download-http;/ark-&kf5apps-version;.tar.xz">
   <!ENTITY ark5-download-ftp  " ">
-  <!ENTITY ark5-md5sum        "aef15ae4f2482e921cabaccb8389b1dc">
-  <!ENTITY ark5-size          "2.6 MB">
+  <!ENTITY ark5-md5sum        "8a9d401372a914cccbbacd72bdf3aeba">
+  <!ENTITY ark5-size          "2.7 MB">
   <!ENTITY ark5-buildsize     "31 MB">
   <!ENTITY ark5-time          "0.4 SBU (using parallelism=4)">
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/gwenview.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,5 +7,5 @@
   <!ENTITY gwenview5-download-http "&kf5apps-download-http;/gwenview-&kf5apps-version;.tar.xz">
   <!ENTITY gwenview5-download-ftp  " ">
-  <!ENTITY gwenview5-md5sum        "be8ac9bb997b9aa8e81577524cc7f1e0">
+  <!ENTITY gwenview5-md5sum        "4ed167c6ac80b6ba37c7adddfe486e51">
   <!ENTITY gwenview5-size          "6.5 MB">
   <!ENTITY gwenview5-buildsize     "45 MB">
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/k3b.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -5,14 +5,10 @@
   %general-entities;
 
-  <!-- Change this at next full lf5 update -->
-  <!ENTITY k3b-version "22.04.0">
-  <!ENTITY k3b-http    "https://download.kde.org/stable/release-service/&k3b-version;/src">
-
-  <!--<!ENTITY k3b-download-http "&kf5apps-download-http;/k3b-&kf5apps-version;.tar.xz">-->
+  <!ENTITY k3b-download-http "&kf5apps-download-http;/k3b-&kf5apps-version;.tar.xz">
   <!ENTITY k3b-download-http "&k3b-http;/k3b-&k3b-version;.tar.xz">
   <!ENTITY k3b-download-ftp  " ">
-  <!ENTITY k3b-md5sum        "b79d44e54a70c0080c268d35788d66b5">
+  <!ENTITY k3b-md5sum        "e30998771fd09a90da87393712a2d78b">
   <!ENTITY k3b-size          "10 MB">
-  <!ENTITY k3b-buildsize     "117 MB">
+  <!ENTITY k3b-buildsize     "118 MB">
   <!ENTITY k3b-time          "1.1 SBU (using parallelism=4)">
 ]>
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/kdenlive5.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY kdenlive5-download-http "&kf5apps-download-http;/kdenlive-&kf5apps-version;.tar.xz">
   <!ENTITY kdenlive5-download-ftp  " ">
-  <!ENTITY kdenlive5-md5sum        "dcdd39556a9cef42766f0793298934fb">
+  <!ENTITY kdenlive5-md5sum        "d48d35159ab53d909052fbf2b2870309">
   <!ENTITY kdenlive5-size          "12 MB">
-  <!ENTITY kdenlive5-buildsize     "185 MB">
+  <!ENTITY kdenlive5-buildsize     "188 MB">
   <!ENTITY kdenlive5-time          "1.7 SBU (using parallelism=4)">
 ]>
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/khelpcenter.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY khelpcenter-download-http "&kf5apps-download-http;/khelpcenter-&kf5apps-version;.tar.xz">
   <!ENTITY khelpcenter-download-ftp  " ">
-  <!ENTITY khelpcenter-md5sum        "0e8e2fd07c9ebde52f1182278342d600">
+  <!ENTITY khelpcenter-md5sum        "0af1a87fe60e3bc339ac66ead167de7e">
   <!ENTITY khelpcenter-size          "4.1 MB">
-  <!ENTITY khelpcenter-buildsize     "26 MB">
+  <!ENTITY khelpcenter-buildsize     "27 MB">
   <!ENTITY khelpcenter-time          "0.2 SBU (using parallelism=4)">
 ]>
Index: kde/kf5-apps/kio-extras.xml
===================================================================
--- kde/kf5-apps/kio-extras.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/kio-extras.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY kio-extras-download-http "&kf5apps-download-http;/kio-extras-&kf5apps-version;.tar.xz">
   <!ENTITY kio-extras-download-ftp  " ">
-  <!ENTITY kio-extras-md5sum        "6307a00d0d212ba257778d0174f10915">
-  <!ENTITY kio-extras-size          "620 KB">
-  <!ENTITY kio-extras-buildsize     "42 MB">
+  <!ENTITY kio-extras-md5sum        "194664eb0b9c07c136278b592cf8179c">
+  <!ENTITY kio-extras-size          "628 KB">
+  <!ENTITY kio-extras-buildsize     "44 MB">
   <!ENTITY kio-extras-time          "0.5 SBU (using parallelism=4)">
 ]>
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/kmix5.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,5 +7,5 @@
   <!ENTITY kmix5-download-http "&kf5apps-download-http;/kmix-&kf5apps-version;.tar.xz">
   <!ENTITY kmix5-download-ftp  " ">
-  <!ENTITY kmix5-md5sum        "d71b1c4c8468ef8a65680b9a16cb2d2a">
+  <!ENTITY kmix5-md5sum        "4e033ce97db3bcef3e8f502774c0715f">
   <!ENTITY kmix5-size          "1.1 MB">
   <!ENTITY kmix5-buildsize     "17 MB">
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/konsole5.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY konsole5-download-http "&kf5apps-download-http;/konsole-&kf5apps-version;.tar.xz">
   <!ENTITY konsole5-download-ftp  " ">
-  <!ENTITY konsole5-md5sum        "b29a4303a8e58f4e181eb5ef26b475b1">
-  <!ENTITY konsole5-size          "1.3 MB">
-  <!ENTITY konsole5-buildsize     "41 MB">
+  <!ENTITY konsole5-md5sum        "0ffafa4b94bf892e98d06539ec7c2785">
+  <!ENTITY konsole5-size          "1.4 MB">
+  <!ENTITY konsole5-buildsize     "44 MB">
   <!ENTITY konsole5-time          "0.6 SBU (using parallism=4)">
 ]>
Index: kde/kf5-apps/libkcddb.xml
===================================================================
--- kde/kf5-apps/libkcddb.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/libkcddb.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY libkcddb-download-http "&kf5apps-download-http;/libkcddb-&kf5apps-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "aeb7f9f46b56729cada709729f8dab2c">
+  <!ENTITY libkcddb-md5sum        "7b100b979c5c1feb0eb478cc50cafd45">
   <!ENTITY libkcddb-size          "428 KB">
-  <!ENTITY libkcddb-buildsize     "8.7 MB">
+  <!ENTITY libkcddb-buildsize     "8.9 MB">
   <!ENTITY libkcddb-time          "0.1 SBU (Using parallelism=4)">
 ]>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/libkdcraw.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY libkdcraw-download-http "&kf5apps-download-http;/libkdcraw-&kf5apps-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  " ">
-  <!ENTITY libkdcraw-md5sum        "e01f997d49b7337d1aa878b254154619">
+  <!ENTITY libkdcraw-md5sum        "00a9cf1cde0b1092a6003d7322370b2d">
   <!ENTITY libkdcraw-size          "40 KB">
-  <!ENTITY libkdcraw-buildsize     "1.4 MB">
+  <!ENTITY libkdcraw-buildsize     "1.5 MB">
   <!ENTITY libkdcraw-time          "less than 0.1 SBU">
 ]>
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/libkexiv2.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,5 +7,5 @@
   <!ENTITY libkexiv2-download-http "&kf5apps-download-http;/libkexiv2-&kf5apps-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  " ">
-  <!ENTITY libkexiv2-md5sum        "0aed1efb839f1b1797dc3e8e3fbd6693">
+  <!ENTITY libkexiv2-md5sum        "abbbd8507ad394202336905474149900">
   <!ENTITY libkexiv2-size          "60 KB">
   <!ENTITY libkexiv2-buildsize     "3.2 MB">
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ kde/kf5-apps/okular5.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY okular5-download-http "&kf5apps-download-http;/okular-&kf5apps-version;.tar.xz">
   <!ENTITY okular5-download-ftp  " ">
-  <!ENTITY okular5-md5sum        "768e786937d5086d7b02d7e89f31f12f">
+  <!ENTITY okular5-md5sum        "01650a632a06b9b21d4772f935785296">
   <!ENTITY okular5-size          "7.8 MB">
-  <!ENTITY okular5-buildsize     "75 MB">
+  <!ENTITY okular5-buildsize     "76 MB">
   <!ENTITY okular5-time          "0.8 SBU (using parallelism=4)">
 ]>
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ multimedia/audioutils/kwave.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -7,7 +7,7 @@
   <!ENTITY kwave-download-http "&kf5apps-download-http;/kwave-&kf5apps-version;.tar.xz">
   <!ENTITY kwave-download-ftp  " ">
-  <!ENTITY kwave-md5sum        "18badd31b41d86fe78d857c1c78c3efe">
+  <!ENTITY kwave-md5sum        "36fa341639a3e5c8b8bc04f3445db1f7">
   <!ENTITY kwave-size          "6.6 MB">
-  <!ENTITY kwave-buildsize     "71 MB">
+  <!ENTITY kwave-buildsize     "70 MB">
   <!ENTITY kwave-time          "0.9 SBU (using parallelism=4)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ packages.ent	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -844,5 +844,5 @@
 <!ENTITY kf5-download-http     "https://download.kde.org/stable/frameworks/&kf5-base;">
 
-<!ENTITY kf5apps-version       "21.12.2">
+<!ENTITY kf5apps-version       "22.04.1">
 <!ENTITY kf5apps-download-http "https://download.kde.org/stable/release-service/&kf5apps-version;/src">
 <!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
@@ -953,7 +953,10 @@
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
 <!ENTITY epiphany-version             "42.2">
+<!-- falcon is now a part of kf5-gear
+
 <!ENTITY falkon-major-version         "3.2">
 <!ENTITY falkon-minor-version         "0">
-<!ENTITY falkon-version               "&falkon-major-version;.&falkon-minor-version;">
+<!ENTITY falkon-version               "&falkon-major-version;.&falkon-minor-version;">-->
+
 <!-- for firefox-legacy-version use JS78-version: f-l archived at version 78.15.0 -->
 <!ENTITY firefox-version              "91.9.0">
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ postlfs/editors/kate5.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -6,7 +6,7 @@
   <!ENTITY kate5-download-http "&kf5apps-download-http;/kate-&kf5apps-version;.tar.xz">
   <!ENTITY kate5-download-ftp  " ">
-  <!ENTITY kate5-md5sum        "f82719c3f2768f1ec1dba93a7d8b84fb">
-  <!ENTITY kate5-size          "7.1 MB">
-  <!ENTITY kate5-buildsize     "105 MB">
+  <!ENTITY kate5-md5sum        "d0919aa7f24b3285c6eac34306be3b37">
+  <!ENTITY kate5-size          "7.2 MB">
+  <!ENTITY kate5-buildsize     "110 MB">
   <!ENTITY kate5-time          "1.1 SBU (using parallelism=4)">
 ]>
Index: xsoft/graphweb/falkon.xml
===================================================================
--- xsoft/graphweb/falkon.xml	(revision 0fcc73982177f084da3e6e315fb338673fb2fada)
+++ xsoft/graphweb/falkon.xml	(revision 660581e14233e480fb2773f46f1aed01c0e51740)
@@ -5,13 +5,13 @@
   %general-entities;
 
-  <!ENTITY falkon-download-http "https://download.kde.org/stable/falkon/&falkon-version;/falkon-&falkon-version;.tar.xz">
+  <!ENTITY falkon-download-http "&kf5-download-http;/falkon-&kf5-version;.tar.xz">
   <!ENTITY falkon-download-ftp  " ">
-  <!ENTITY falkon-md5sum        "8733affc1d98770f4be1c9f587ad29b0">
+  <!ENTITY falkon-md5sum        "f5fe297a1e74536e70007778b489ab04">
   <!ENTITY falkon-size          "2.4 MB">
-  <!ENTITY falkon-buildsize     "162 MB (without optional dependencies)">
-  <!ENTITY falkon-time          "1.4 SBU (Using parallelism=4)">
+  <!ENTITY falkon-buildsize     "137 MB">
+  <!ENTITY falkon-time          "0.5 SBU (Using parallelism=4)">
 ]>
 
-<sect1 id="falkon" xreflabel="falkon-&falkon-version;">
+<sect1 id="falkon" xreflabel="falkon-&kf5-version;">
   <?dbhtml filename="falkon.html"?>
 
@@ -20,5 +20,5 @@
   </sect1info>
 
-  <title>Falkon-&falkon-version;</title>
+  <title>Falkon-&kf5-version;</title>
 
   <indexterm zone="falkon">
@@ -114,9 +114,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gnome-keyring"/> and
-      <ulink
-      url="http://download.qt.io/official_releases/QtForPython/pyside2/">PySide2</ulink>
-      for experimental <application>Python</application> plugins (compiling this from
-      source is very slow).
+      <xref linkend="gnome-keyring"/>,
+      <ulink url="https://pypi.org/project/PySide2/">PySide2</ulink>, and
+      <ulink url="https://pypi.org/project/shiboken2/">Shiboken2</ulink>
     </para>
 
@@ -132,28 +130,4 @@
       Install <application>falkon</application> by running the following
       commands:
-    </para>
-
-    <para>
-      Unless you have installed both PySide2 and ki18n, remove the translations
-      for the sample <command>hellopython.py</command> script:
-    </para>
-
-<screen><userinput>rm -rf po/</userinput></screen>
-<!--
-    <para>
-      Fix a missing include in Qt-5.14:
-    </para>
-
-<screen><userinput>sed -i '/#include &lt;QSettings&gt;/a#include &lt;QFile&gt;' \
-   src/plugins/VerticalTabs/verticaltabsplugin.cpp</userinput></screen>
-
-    <para>
-      Fix a build problem introduced in Qt-5.15:
-    </para>
-<screen><userinput remap="pre">sed -i '/#include &lt;QPainter&gt;/a #include &lt;QPainterPath&gt;' \
-   src/lib/tools/qztools.cpp</userinput></screen>
--->
-    <para>
-      Now build the program:
     </para>
 
@@ -181,5 +155,5 @@
     <para>
       If you have installed <application>Pyside2</application> you will want to
-      examine the <command>hellopython.py</command> which is in the <filename
+      examine <command>hellopython.py</command> which is in the <filename
       class="directory">scripts/</filename> directory, and perhaps copy it to
       your home directory.
@@ -214,5 +188,5 @@
         </seg>
         <seg>
-          ${FALKON_PREFIX}/lib/plugins, ${FALKON_PREFIX}/share/falkon.
+          /usr/share/falkon
         </seg>
       </seglistitem>